#include "symbol_table/symbol_table.hpp"
#include <string>

using namespace symbol_table;

/**************************************************
*  class used to hold information associated w/
*  Symbs (which are stored in SymbolTables)
****************************************************/
SymbolValue::SymbolValue(): Symb() {
    this->codegenValue = nullptr;
}

SymbolValue::SymbolValue(const SymbolValue& other) : Symb::Symb(other) {
    this->codegenValue = other.codegenValue;
}

SymbolValue::SymbolValue(std::string id, llvm::Value* value): Symb(id) {
    this->codegenValue = value;
}

SymbolValue::operator std::string() const {
    return "(" + this->get_name() + ")";
};
