// A Bison parser, made by GNU Bison 3.5.1.

// Skeleton implementation for Bison LALR(1) parsers in C++

// Copyright (C) 2002-2015, 2018-2020 Free Software Foundation, Inc.

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

// As a special exception, you may create a larger work that contains
// part or all of the Bison parser skeleton and distribute that work
// under terms of your choice, so long as that work isn't itself a
// parser generator using the skeleton or a modified version thereof
// as a parser skeleton.  Alternatively, if you modify or redistribute
// the parser skeleton itself, you may (at your option) remove this
// special exception, which will cause the skeleton and the resulting
// Bison output files to be licensed under the GNU General Public
// License without this special exception.

// This special exception was added by the Free Software Foundation in
// version 2.2 of Bison.

// Undocumented macros, especially those whose name start with YY_,
// are private implementation details.  Do not rely on them.





#include "quant_c_parse.hpp"


// Unqualified %code blocks.
#line 25 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"

    #include <iostream>
    #include <string>
    #include <cctype>
    #include <cstring>
    #include <vector>
    #include <tuple>
    #include <memory>
    #include <cstdint>


    // Adjust how Bison calls the scanner for the next token
    #include "scanner_shim.hpp"
    #define yylex(x) scanner.lex(x)
    #include "util/pos.hpp"
    #include "util/type_def_set.hpp"


    using namespace quant_c_compiler;
    using namespace quant_c_token;
    using namespace quant_c_ast;
    using namespace util;

#line 69 "quant_c_parse.cpp"


#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> // FIXME: INFRINGES ON USER NAME SPACE.
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

// Whether we are compiled with exception support.
#ifndef YY_EXCEPTIONS
# if defined __GNUC__ && !defined __EXCEPTIONS
#  define YY_EXCEPTIONS 0
# else
#  define YY_EXCEPTIONS 1
# endif
#endif



// Enable debugging if requested.
#if YYDEBUG

// A pseudo ostream that takes yydebug_ into account.
# define YYCDEBUG if (yydebug_) (*yycdebug_)

# define YY_SYMBOL_PRINT(Title, Symbol)         \
  do {                                          \
    if (yydebug_)                               \
    {                                           \
      *yycdebug_ << Title << ' ';               \
      yy_print_ (*yycdebug_, Symbol);           \
      *yycdebug_ << '\n';                       \
    }                                           \
  } while (false)

# define YY_REDUCE_PRINT(Rule)          \
  do {                                  \
    if (yydebug_)                       \
      yy_reduce_print_ (Rule);          \
  } while (false)

# define YY_STACK_PRINT()               \
  do {                                  \
    if (yydebug_)                       \
      yystack_print_ ();                \
  } while (false)

#else // !YYDEBUG

# define YYCDEBUG if (false) std::cerr
# define YY_SYMBOL_PRINT(Title, Symbol)  YYUSE (Symbol)
# define YY_REDUCE_PRINT(Rule)           static_cast<void> (0)
# define YY_STACK_PRINT()                static_cast<void> (0)

#endif // !YYDEBUG

#define yyerrok         (yyerrstatus_ = 0)
#define yyclearin       (yyla.clear ())

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYRECOVERING()  (!!yyerrstatus_)

#line 7 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
namespace quant_c_compiler {
#line 142 "quant_c_parse.cpp"


  /* Return YYSTR after stripping away unnecessary quotes and
     backslashes, so that it's suitable for yyerror.  The heuristic is
     that double-quoting is unnecessary unless the string contains an
     apostrophe, a comma, or backslash (other than backslash-backslash).
     YYSTR is taken from yytname.  */
  std::string
  Parser::yytnamerr_ (const char *yystr)
  {
    if (*yystr == '"')
      {
        std::string yyr;
        char const *yyp = yystr;

        for (;;)
          switch (*++yyp)
            {
            case '\'':
            case ',':
              goto do_not_strip_quotes;

            case '\\':
              if (*++yyp != '\\')
                goto do_not_strip_quotes;
              else
                goto append;

            append:
            default:
              yyr += *yyp;
              break;

            case '"':
              return yyr;
            }
      do_not_strip_quotes: ;
      }

    return yystr;
  }


  /// Build a parser object.
  Parser::Parser (Scanner& scanner_yyarg, quant_c_ast::TranslationUnitNode& prog_yyarg)
#if YYDEBUG
    : yydebug_ (false),
      yycdebug_ (&std::cerr),
#else
    :
#endif
      scanner (scanner_yyarg),
      prog (prog_yyarg)
  {}

  Parser::~Parser ()
  {}

  Parser::syntax_error::~syntax_error () YY_NOEXCEPT YY_NOTHROW
  {}

  /*---------------.
  | Symbol types.  |
  `---------------*/

  // basic_symbol.
#if 201103L <= YY_CPLUSPLUS
  template <typename Base>
  Parser::basic_symbol<Base>::basic_symbol (basic_symbol&& that)
    : Base (std::move (that))
    , value ()
  {
    switch (this->type_get ())
    {
      case 160: // assignment_operator
        value.move< int > (std::move (that.value));
        break;

      case 6: // BOOL_LITERAL
        value.move< quant_c_token::BoolLitToken > (std::move (that.value));
        break;

      case 7: // CHAR_LITERAL
        value.move< quant_c_token::CharLitToken > (std::move (that.value));
        break;

      case 5: // FLOAT_LITERAL
        value.move< quant_c_token::FloatLitToken > (std::move (that.value));
        break;

      case 3: // IDENTIFIER
        value.move< quant_c_token::IdentifierToken > (std::move (that.value));
        break;

      case 4: // INT_LITERAL
        value.move< quant_c_token::IntLitToken > (std::move (that.value));
        break;

      case 8: // STRING_LITERAL
        value.move< quant_c_token::StringLitToken > (std::move (that.value));
        break;

      case 9: // TYPE_NAME
        value.move< quant_c_token::TypeNameToken > (std::move (that.value));
        break;

      case 10: // PTR_OP
      case 11: // INC_OP
      case 12: // DEC_OP
      case 13: // LEFT_OP
      case 14: // RIGHT_OP
      case 15: // LE_OP
      case 16: // GE_OP
      case 17: // EQ_OP
      case 18: // NE_OP
      case 19: // ADD_ASSIGN
      case 20: // AND_OP
      case 21: // OR_OP
      case 22: // MUL_ASSIGN
      case 23: // DIV_ASSIGN
      case 24: // MOD_ASSIGN
      case 25: // SUB_ASSIGN
      case 26: // LEFT_ASSIGN
      case 27: // RIGHT_ASSIGN
      case 28: // AND_ASSIGN
      case 29: // XOR_ASSIGN
      case 30: // OR_ASSIGN
      case 31: // ELLIPSIS
      case 32: // ';'
      case 33: // '{'
      case 34: // '}'
      case 35: // ','
      case 36: // ':'
      case 37: // '='
      case 38: // '('
      case 39: // ')'
      case 40: // '['
      case 41: // ']'
      case 42: // '.'
      case 43: // '&'
      case 44: // '!'
      case 45: // '~'
      case 46: // '-'
      case 47: // '+'
      case 48: // '*'
      case 49: // '/'
      case 50: // '%'
      case 51: // '<'
      case 52: // '>'
      case 53: // '^'
      case 54: // '|'
      case 55: // '?'
      case 56: // TYPEDEF
      case 57: // EXTERN
      case 58: // STATIC
      case 59: // AUTO
      case 60: // REGISTER
      case 61: // CHAR
      case 62: // SHORT
      case 63: // INT
      case 64: // LONG
      case 65: // SIGNED
      case 66: // UNSIGNED
      case 67: // FLOAT
      case 68: // DOUBLE
      case 69: // CONST
      case 70: // VOLATILE
      case 71: // VOID
      case 72: // STRUCT
      case 73: // UNION
      case 74: // ENUM
      case 75: // CASE
      case 76: // DEFAULT
      case 77: // IF
      case 78: // ELSE
      case 79: // SWITCH
      case 80: // WHILE
      case 81: // DO
      case 82: // FOR
      case 83: // GOTO
      case 84: // CONTINUE
      case 85: // BREAK
      case 86: // RETURN
      case 87: // SIZEOF
      case 88: // BOOL
      case 89: // QUANTUM
      case 90: // PSWAP
      case 91: // ISWAP
      case 92: // SWAP
      case 93: // X_GATE
      case 94: // Y_GATE
      case 95: // Z_GATE
      case 96: // HADAMARD
      case 97: // PHASE
      case 98: // S_GATE
      case 99: // T_GATE
      case 100: // RX
      case 101: // RY
      case 102: // RZ
      case 103: // INVERSE
      case 104: // CONTROL
      case 105: // MEASURE
      case 106: // IDENTITY
        value.move< std::pair<int, int> > (std::move (that.value));
        break;

      case 138: // parameter_type_list
        value.move< std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > (std::move (that.value));
        break;

      case 144: // abstract_declarator
        value.move< std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > (std::move (that.value));
        break;

      case 134: // parameter_declaration
        value.move< std::shared_ptr<quant_c_ast::ArgDeclNode> > (std::move (that.value));
        break;

      case 152: // compound_statement
        value.move< std::shared_ptr<quant_c_ast::BlockNode> > (std::move (that.value));
        break;

      case 130: // declaration
      case 135: // external_declaration
        value.move< std::shared_ptr<quant_c_ast::DeclNode> > (std::move (that.value));
        break;

      case 131: // declarator
        value.move< std::shared_ptr<quant_c_ast::DeclaratorNode> > (std::move (that.value));
        break;

      case 145: // direct_abstract_declarator
        value.move< std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > (std::move (that.value));
        break;

      case 132: // direct_declarator
        value.move< std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (std::move (that.value));
        break;

      case 108: // expression
      case 109: // primary_expression
      case 110: // postfix_expression
      case 111: // unary_expression
      case 112: // cast_expression
      case 113: // multiplicative_expression
      case 114: // additive_expression
      case 115: // shift_expression
      case 116: // relational_expression
      case 117: // quantum_binary_expression
      case 118: // equality_expression
      case 119: // and_expression
      case 120: // exclusive_or_expression
      case 121: // inclusive_or_expression
      case 122: // logical_and_expression
      case 123: // logical_or_expression
      case 124: // conditional_expression
      case 125: // assignment_expression
      case 126: // constant_expression
      case 127: // initializer
        value.move< std::shared_ptr<quant_c_ast::ExprNode> > (std::move (that.value));
        break;

      case 158: // function_definition
        value.move< std::shared_ptr<quant_c_ast::FuncDefNode> > (std::move (that.value));
        break;

      case 133: // init_declarator
        value.move< std::shared_ptr<quant_c_ast::InitDeclaratorNode> > (std::move (that.value));
        break;

      case 159: // unary_operator
        value.move< std::shared_ptr<quant_c_ast::OperatorNode> > (std::move (that.value));
        break;

      case 150: // statement
      case 151: // labeled_statement
      case 153: // expression_statement
      case 154: // selection_statement
      case 155: // iteration_statement
      case 156: // jump_statement
        value.move< std::shared_ptr<quant_c_ast::StmtNode> > (std::move (that.value));
        break;

      case 142: // storage_class_specifier
        value.move< std::shared_ptr<quant_c_ast::StorageClassSpecNode> > (std::move (that.value));
        break;

      case 143: // type_name
        value.move< std::shared_ptr<quant_c_ast::TypeNameNode> > (std::move (that.value));
        break;

      case 141: // type_qualifier
        value.move< std::shared_ptr<quant_c_ast::TypeQualifierNode> > (std::move (that.value));
        break;

      case 140: // type_specifier
        value.move< std::shared_ptr<quant_c_ast::TypeSpecNode> > (std::move (that.value));
        break;

      case 162: // quantum_op_prefix
        value.move< std::tuple<bool, int, int> > (std::move (that.value));
        break;

      case 161: // quantum_unary_op
        value.move< std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > (std::move (that.value));
        break;

      case 139: // parameter_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > (std::move (that.value));
        break;

      case 137: // declaration_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > (std::move (that.value));
        break;

      case 128: // argument_expression_list
      case 129: // initializer_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > (std::move (that.value));
        break;

      case 136: // init_declarator_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > (std::move (that.value));
        break;

      case 147: // pointer
        value.move< std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > (std::move (that.value));
        break;

      case 163: // quantum_op_postfix
        value.move< std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > (std::move (that.value));
        break;

      case 157: // statement_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > (std::move (that.value));
        break;

      case 146: // declaration_specifiers
      case 148: // specifier_qualifier_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (std::move (that.value));
        break;

      case 149: // type_qualifier_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > (std::move (that.value));
        break;

      case 164: // identifier_list
        value.move< std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > (std::move (that.value));
        break;

      default:
        break;
    }

  }
#endif

  template <typename Base>
  Parser::basic_symbol<Base>::basic_symbol (const basic_symbol& that)
    : Base (that)
    , value ()
  {
    switch (this->type_get ())
    {
      case 160: // assignment_operator
        value.copy< int > (YY_MOVE (that.value));
        break;

      case 6: // BOOL_LITERAL
        value.copy< quant_c_token::BoolLitToken > (YY_MOVE (that.value));
        break;

      case 7: // CHAR_LITERAL
        value.copy< quant_c_token::CharLitToken > (YY_MOVE (that.value));
        break;

      case 5: // FLOAT_LITERAL
        value.copy< quant_c_token::FloatLitToken > (YY_MOVE (that.value));
        break;

      case 3: // IDENTIFIER
        value.copy< quant_c_token::IdentifierToken > (YY_MOVE (that.value));
        break;

      case 4: // INT_LITERAL
        value.copy< quant_c_token::IntLitToken > (YY_MOVE (that.value));
        break;

      case 8: // STRING_LITERAL
        value.copy< quant_c_token::StringLitToken > (YY_MOVE (that.value));
        break;

      case 9: // TYPE_NAME
        value.copy< quant_c_token::TypeNameToken > (YY_MOVE (that.value));
        break;

      case 10: // PTR_OP
      case 11: // INC_OP
      case 12: // DEC_OP
      case 13: // LEFT_OP
      case 14: // RIGHT_OP
      case 15: // LE_OP
      case 16: // GE_OP
      case 17: // EQ_OP
      case 18: // NE_OP
      case 19: // ADD_ASSIGN
      case 20: // AND_OP
      case 21: // OR_OP
      case 22: // MUL_ASSIGN
      case 23: // DIV_ASSIGN
      case 24: // MOD_ASSIGN
      case 25: // SUB_ASSIGN
      case 26: // LEFT_ASSIGN
      case 27: // RIGHT_ASSIGN
      case 28: // AND_ASSIGN
      case 29: // XOR_ASSIGN
      case 30: // OR_ASSIGN
      case 31: // ELLIPSIS
      case 32: // ';'
      case 33: // '{'
      case 34: // '}'
      case 35: // ','
      case 36: // ':'
      case 37: // '='
      case 38: // '('
      case 39: // ')'
      case 40: // '['
      case 41: // ']'
      case 42: // '.'
      case 43: // '&'
      case 44: // '!'
      case 45: // '~'
      case 46: // '-'
      case 47: // '+'
      case 48: // '*'
      case 49: // '/'
      case 50: // '%'
      case 51: // '<'
      case 52: // '>'
      case 53: // '^'
      case 54: // '|'
      case 55: // '?'
      case 56: // TYPEDEF
      case 57: // EXTERN
      case 58: // STATIC
      case 59: // AUTO
      case 60: // REGISTER
      case 61: // CHAR
      case 62: // SHORT
      case 63: // INT
      case 64: // LONG
      case 65: // SIGNED
      case 66: // UNSIGNED
      case 67: // FLOAT
      case 68: // DOUBLE
      case 69: // CONST
      case 70: // VOLATILE
      case 71: // VOID
      case 72: // STRUCT
      case 73: // UNION
      case 74: // ENUM
      case 75: // CASE
      case 76: // DEFAULT
      case 77: // IF
      case 78: // ELSE
      case 79: // SWITCH
      case 80: // WHILE
      case 81: // DO
      case 82: // FOR
      case 83: // GOTO
      case 84: // CONTINUE
      case 85: // BREAK
      case 86: // RETURN
      case 87: // SIZEOF
      case 88: // BOOL
      case 89: // QUANTUM
      case 90: // PSWAP
      case 91: // ISWAP
      case 92: // SWAP
      case 93: // X_GATE
      case 94: // Y_GATE
      case 95: // Z_GATE
      case 96: // HADAMARD
      case 97: // PHASE
      case 98: // S_GATE
      case 99: // T_GATE
      case 100: // RX
      case 101: // RY
      case 102: // RZ
      case 103: // INVERSE
      case 104: // CONTROL
      case 105: // MEASURE
      case 106: // IDENTITY
        value.copy< std::pair<int, int> > (YY_MOVE (that.value));
        break;

      case 138: // parameter_type_list
        value.copy< std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > (YY_MOVE (that.value));
        break;

      case 144: // abstract_declarator
        value.copy< std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 134: // parameter_declaration
        value.copy< std::shared_ptr<quant_c_ast::ArgDeclNode> > (YY_MOVE (that.value));
        break;

      case 152: // compound_statement
        value.copy< std::shared_ptr<quant_c_ast::BlockNode> > (YY_MOVE (that.value));
        break;

      case 130: // declaration
      case 135: // external_declaration
        value.copy< std::shared_ptr<quant_c_ast::DeclNode> > (YY_MOVE (that.value));
        break;

      case 131: // declarator
        value.copy< std::shared_ptr<quant_c_ast::DeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 145: // direct_abstract_declarator
        value.copy< std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 132: // direct_declarator
        value.copy< std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 108: // expression
      case 109: // primary_expression
      case 110: // postfix_expression
      case 111: // unary_expression
      case 112: // cast_expression
      case 113: // multiplicative_expression
      case 114: // additive_expression
      case 115: // shift_expression
      case 116: // relational_expression
      case 117: // quantum_binary_expression
      case 118: // equality_expression
      case 119: // and_expression
      case 120: // exclusive_or_expression
      case 121: // inclusive_or_expression
      case 122: // logical_and_expression
      case 123: // logical_or_expression
      case 124: // conditional_expression
      case 125: // assignment_expression
      case 126: // constant_expression
      case 127: // initializer
        value.copy< std::shared_ptr<quant_c_ast::ExprNode> > (YY_MOVE (that.value));
        break;

      case 158: // function_definition
        value.copy< std::shared_ptr<quant_c_ast::FuncDefNode> > (YY_MOVE (that.value));
        break;

      case 133: // init_declarator
        value.copy< std::shared_ptr<quant_c_ast::InitDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 159: // unary_operator
        value.copy< std::shared_ptr<quant_c_ast::OperatorNode> > (YY_MOVE (that.value));
        break;

      case 150: // statement
      case 151: // labeled_statement
      case 153: // expression_statement
      case 154: // selection_statement
      case 155: // iteration_statement
      case 156: // jump_statement
        value.copy< std::shared_ptr<quant_c_ast::StmtNode> > (YY_MOVE (that.value));
        break;

      case 142: // storage_class_specifier
        value.copy< std::shared_ptr<quant_c_ast::StorageClassSpecNode> > (YY_MOVE (that.value));
        break;

      case 143: // type_name
        value.copy< std::shared_ptr<quant_c_ast::TypeNameNode> > (YY_MOVE (that.value));
        break;

      case 141: // type_qualifier
        value.copy< std::shared_ptr<quant_c_ast::TypeQualifierNode> > (YY_MOVE (that.value));
        break;

      case 140: // type_specifier
        value.copy< std::shared_ptr<quant_c_ast::TypeSpecNode> > (YY_MOVE (that.value));
        break;

      case 162: // quantum_op_prefix
        value.copy< std::tuple<bool, int, int> > (YY_MOVE (that.value));
        break;

      case 161: // quantum_unary_op
        value.copy< std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > (YY_MOVE (that.value));
        break;

      case 139: // parameter_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > (YY_MOVE (that.value));
        break;

      case 137: // declaration_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > (YY_MOVE (that.value));
        break;

      case 128: // argument_expression_list
      case 129: // initializer_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > (YY_MOVE (that.value));
        break;

      case 136: // init_declarator_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > (YY_MOVE (that.value));
        break;

      case 147: // pointer
        value.copy< std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > (YY_MOVE (that.value));
        break;

      case 163: // quantum_op_postfix
        value.copy< std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > (YY_MOVE (that.value));
        break;

      case 157: // statement_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > (YY_MOVE (that.value));
        break;

      case 146: // declaration_specifiers
      case 148: // specifier_qualifier_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (YY_MOVE (that.value));
        break;

      case 149: // type_qualifier_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > (YY_MOVE (that.value));
        break;

      case 164: // identifier_list
        value.copy< std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > (YY_MOVE (that.value));
        break;

      default:
        break;
    }

  }



  template <typename Base>
  bool
  Parser::basic_symbol<Base>::empty () const YY_NOEXCEPT
  {
    return Base::type_get () == empty_symbol;
  }

  template <typename Base>
  void
  Parser::basic_symbol<Base>::move (basic_symbol& s)
  {
    super_type::move (s);
    switch (this->type_get ())
    {
      case 160: // assignment_operator
        value.move< int > (YY_MOVE (s.value));
        break;

      case 6: // BOOL_LITERAL
        value.move< quant_c_token::BoolLitToken > (YY_MOVE (s.value));
        break;

      case 7: // CHAR_LITERAL
        value.move< quant_c_token::CharLitToken > (YY_MOVE (s.value));
        break;

      case 5: // FLOAT_LITERAL
        value.move< quant_c_token::FloatLitToken > (YY_MOVE (s.value));
        break;

      case 3: // IDENTIFIER
        value.move< quant_c_token::IdentifierToken > (YY_MOVE (s.value));
        break;

      case 4: // INT_LITERAL
        value.move< quant_c_token::IntLitToken > (YY_MOVE (s.value));
        break;

      case 8: // STRING_LITERAL
        value.move< quant_c_token::StringLitToken > (YY_MOVE (s.value));
        break;

      case 9: // TYPE_NAME
        value.move< quant_c_token::TypeNameToken > (YY_MOVE (s.value));
        break;

      case 10: // PTR_OP
      case 11: // INC_OP
      case 12: // DEC_OP
      case 13: // LEFT_OP
      case 14: // RIGHT_OP
      case 15: // LE_OP
      case 16: // GE_OP
      case 17: // EQ_OP
      case 18: // NE_OP
      case 19: // ADD_ASSIGN
      case 20: // AND_OP
      case 21: // OR_OP
      case 22: // MUL_ASSIGN
      case 23: // DIV_ASSIGN
      case 24: // MOD_ASSIGN
      case 25: // SUB_ASSIGN
      case 26: // LEFT_ASSIGN
      case 27: // RIGHT_ASSIGN
      case 28: // AND_ASSIGN
      case 29: // XOR_ASSIGN
      case 30: // OR_ASSIGN
      case 31: // ELLIPSIS
      case 32: // ';'
      case 33: // '{'
      case 34: // '}'
      case 35: // ','
      case 36: // ':'
      case 37: // '='
      case 38: // '('
      case 39: // ')'
      case 40: // '['
      case 41: // ']'
      case 42: // '.'
      case 43: // '&'
      case 44: // '!'
      case 45: // '~'
      case 46: // '-'
      case 47: // '+'
      case 48: // '*'
      case 49: // '/'
      case 50: // '%'
      case 51: // '<'
      case 52: // '>'
      case 53: // '^'
      case 54: // '|'
      case 55: // '?'
      case 56: // TYPEDEF
      case 57: // EXTERN
      case 58: // STATIC
      case 59: // AUTO
      case 60: // REGISTER
      case 61: // CHAR
      case 62: // SHORT
      case 63: // INT
      case 64: // LONG
      case 65: // SIGNED
      case 66: // UNSIGNED
      case 67: // FLOAT
      case 68: // DOUBLE
      case 69: // CONST
      case 70: // VOLATILE
      case 71: // VOID
      case 72: // STRUCT
      case 73: // UNION
      case 74: // ENUM
      case 75: // CASE
      case 76: // DEFAULT
      case 77: // IF
      case 78: // ELSE
      case 79: // SWITCH
      case 80: // WHILE
      case 81: // DO
      case 82: // FOR
      case 83: // GOTO
      case 84: // CONTINUE
      case 85: // BREAK
      case 86: // RETURN
      case 87: // SIZEOF
      case 88: // BOOL
      case 89: // QUANTUM
      case 90: // PSWAP
      case 91: // ISWAP
      case 92: // SWAP
      case 93: // X_GATE
      case 94: // Y_GATE
      case 95: // Z_GATE
      case 96: // HADAMARD
      case 97: // PHASE
      case 98: // S_GATE
      case 99: // T_GATE
      case 100: // RX
      case 101: // RY
      case 102: // RZ
      case 103: // INVERSE
      case 104: // CONTROL
      case 105: // MEASURE
      case 106: // IDENTITY
        value.move< std::pair<int, int> > (YY_MOVE (s.value));
        break;

      case 138: // parameter_type_list
        value.move< std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > (YY_MOVE (s.value));
        break;

      case 144: // abstract_declarator
        value.move< std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > (YY_MOVE (s.value));
        break;

      case 134: // parameter_declaration
        value.move< std::shared_ptr<quant_c_ast::ArgDeclNode> > (YY_MOVE (s.value));
        break;

      case 152: // compound_statement
        value.move< std::shared_ptr<quant_c_ast::BlockNode> > (YY_MOVE (s.value));
        break;

      case 130: // declaration
      case 135: // external_declaration
        value.move< std::shared_ptr<quant_c_ast::DeclNode> > (YY_MOVE (s.value));
        break;

      case 131: // declarator
        value.move< std::shared_ptr<quant_c_ast::DeclaratorNode> > (YY_MOVE (s.value));
        break;

      case 145: // direct_abstract_declarator
        value.move< std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > (YY_MOVE (s.value));
        break;

      case 132: // direct_declarator
        value.move< std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (YY_MOVE (s.value));
        break;

      case 108: // expression
      case 109: // primary_expression
      case 110: // postfix_expression
      case 111: // unary_expression
      case 112: // cast_expression
      case 113: // multiplicative_expression
      case 114: // additive_expression
      case 115: // shift_expression
      case 116: // relational_expression
      case 117: // quantum_binary_expression
      case 118: // equality_expression
      case 119: // and_expression
      case 120: // exclusive_or_expression
      case 121: // inclusive_or_expression
      case 122: // logical_and_expression
      case 123: // logical_or_expression
      case 124: // conditional_expression
      case 125: // assignment_expression
      case 126: // constant_expression
      case 127: // initializer
        value.move< std::shared_ptr<quant_c_ast::ExprNode> > (YY_MOVE (s.value));
        break;

      case 158: // function_definition
        value.move< std::shared_ptr<quant_c_ast::FuncDefNode> > (YY_MOVE (s.value));
        break;

      case 133: // init_declarator
        value.move< std::shared_ptr<quant_c_ast::InitDeclaratorNode> > (YY_MOVE (s.value));
        break;

      case 159: // unary_operator
        value.move< std::shared_ptr<quant_c_ast::OperatorNode> > (YY_MOVE (s.value));
        break;

      case 150: // statement
      case 151: // labeled_statement
      case 153: // expression_statement
      case 154: // selection_statement
      case 155: // iteration_statement
      case 156: // jump_statement
        value.move< std::shared_ptr<quant_c_ast::StmtNode> > (YY_MOVE (s.value));
        break;

      case 142: // storage_class_specifier
        value.move< std::shared_ptr<quant_c_ast::StorageClassSpecNode> > (YY_MOVE (s.value));
        break;

      case 143: // type_name
        value.move< std::shared_ptr<quant_c_ast::TypeNameNode> > (YY_MOVE (s.value));
        break;

      case 141: // type_qualifier
        value.move< std::shared_ptr<quant_c_ast::TypeQualifierNode> > (YY_MOVE (s.value));
        break;

      case 140: // type_specifier
        value.move< std::shared_ptr<quant_c_ast::TypeSpecNode> > (YY_MOVE (s.value));
        break;

      case 162: // quantum_op_prefix
        value.move< std::tuple<bool, int, int> > (YY_MOVE (s.value));
        break;

      case 161: // quantum_unary_op
        value.move< std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > (YY_MOVE (s.value));
        break;

      case 139: // parameter_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > (YY_MOVE (s.value));
        break;

      case 137: // declaration_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > (YY_MOVE (s.value));
        break;

      case 128: // argument_expression_list
      case 129: // initializer_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > (YY_MOVE (s.value));
        break;

      case 136: // init_declarator_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > (YY_MOVE (s.value));
        break;

      case 147: // pointer
        value.move< std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > (YY_MOVE (s.value));
        break;

      case 163: // quantum_op_postfix
        value.move< std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > (YY_MOVE (s.value));
        break;

      case 157: // statement_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > (YY_MOVE (s.value));
        break;

      case 146: // declaration_specifiers
      case 148: // specifier_qualifier_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (YY_MOVE (s.value));
        break;

      case 149: // type_qualifier_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > (YY_MOVE (s.value));
        break;

      case 164: // identifier_list
        value.move< std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > (YY_MOVE (s.value));
        break;

      default:
        break;
    }

  }

  // by_type.
  Parser::by_type::by_type ()
    : type (empty_symbol)
  {}

#if 201103L <= YY_CPLUSPLUS
  Parser::by_type::by_type (by_type&& that)
    : type (that.type)
  {
    that.clear ();
  }
#endif

  Parser::by_type::by_type (const by_type& that)
    : type (that.type)
  {}

  Parser::by_type::by_type (token_type t)
    : type (yytranslate_ (t))
  {}

  void
  Parser::by_type::clear ()
  {
    type = empty_symbol;
  }

  void
  Parser::by_type::move (by_type& that)
  {
    type = that.type;
    that.clear ();
  }

  int
  Parser::by_type::type_get () const YY_NOEXCEPT
  {
    return type;
  }


  // by_state.
  Parser::by_state::by_state () YY_NOEXCEPT
    : state (empty_state)
  {}

  Parser::by_state::by_state (const by_state& that) YY_NOEXCEPT
    : state (that.state)
  {}

  void
  Parser::by_state::clear () YY_NOEXCEPT
  {
    state = empty_state;
  }

  void
  Parser::by_state::move (by_state& that)
  {
    state = that.state;
    that.clear ();
  }

  Parser::by_state::by_state (state_type s) YY_NOEXCEPT
    : state (s)
  {}

  Parser::symbol_number_type
  Parser::by_state::type_get () const YY_NOEXCEPT
  {
    if (state == empty_state)
      return empty_symbol;
    else
      return yystos_[+state];
  }

  Parser::stack_symbol_type::stack_symbol_type ()
  {}

  Parser::stack_symbol_type::stack_symbol_type (YY_RVREF (stack_symbol_type) that)
    : super_type (YY_MOVE (that.state))
  {
    switch (that.type_get ())
    {
      case 160: // assignment_operator
        value.YY_MOVE_OR_COPY< int > (YY_MOVE (that.value));
        break;

      case 6: // BOOL_LITERAL
        value.YY_MOVE_OR_COPY< quant_c_token::BoolLitToken > (YY_MOVE (that.value));
        break;

      case 7: // CHAR_LITERAL
        value.YY_MOVE_OR_COPY< quant_c_token::CharLitToken > (YY_MOVE (that.value));
        break;

      case 5: // FLOAT_LITERAL
        value.YY_MOVE_OR_COPY< quant_c_token::FloatLitToken > (YY_MOVE (that.value));
        break;

      case 3: // IDENTIFIER
        value.YY_MOVE_OR_COPY< quant_c_token::IdentifierToken > (YY_MOVE (that.value));
        break;

      case 4: // INT_LITERAL
        value.YY_MOVE_OR_COPY< quant_c_token::IntLitToken > (YY_MOVE (that.value));
        break;

      case 8: // STRING_LITERAL
        value.YY_MOVE_OR_COPY< quant_c_token::StringLitToken > (YY_MOVE (that.value));
        break;

      case 9: // TYPE_NAME
        value.YY_MOVE_OR_COPY< quant_c_token::TypeNameToken > (YY_MOVE (that.value));
        break;

      case 10: // PTR_OP
      case 11: // INC_OP
      case 12: // DEC_OP
      case 13: // LEFT_OP
      case 14: // RIGHT_OP
      case 15: // LE_OP
      case 16: // GE_OP
      case 17: // EQ_OP
      case 18: // NE_OP
      case 19: // ADD_ASSIGN
      case 20: // AND_OP
      case 21: // OR_OP
      case 22: // MUL_ASSIGN
      case 23: // DIV_ASSIGN
      case 24: // MOD_ASSIGN
      case 25: // SUB_ASSIGN
      case 26: // LEFT_ASSIGN
      case 27: // RIGHT_ASSIGN
      case 28: // AND_ASSIGN
      case 29: // XOR_ASSIGN
      case 30: // OR_ASSIGN
      case 31: // ELLIPSIS
      case 32: // ';'
      case 33: // '{'
      case 34: // '}'
      case 35: // ','
      case 36: // ':'
      case 37: // '='
      case 38: // '('
      case 39: // ')'
      case 40: // '['
      case 41: // ']'
      case 42: // '.'
      case 43: // '&'
      case 44: // '!'
      case 45: // '~'
      case 46: // '-'
      case 47: // '+'
      case 48: // '*'
      case 49: // '/'
      case 50: // '%'
      case 51: // '<'
      case 52: // '>'
      case 53: // '^'
      case 54: // '|'
      case 55: // '?'
      case 56: // TYPEDEF
      case 57: // EXTERN
      case 58: // STATIC
      case 59: // AUTO
      case 60: // REGISTER
      case 61: // CHAR
      case 62: // SHORT
      case 63: // INT
      case 64: // LONG
      case 65: // SIGNED
      case 66: // UNSIGNED
      case 67: // FLOAT
      case 68: // DOUBLE
      case 69: // CONST
      case 70: // VOLATILE
      case 71: // VOID
      case 72: // STRUCT
      case 73: // UNION
      case 74: // ENUM
      case 75: // CASE
      case 76: // DEFAULT
      case 77: // IF
      case 78: // ELSE
      case 79: // SWITCH
      case 80: // WHILE
      case 81: // DO
      case 82: // FOR
      case 83: // GOTO
      case 84: // CONTINUE
      case 85: // BREAK
      case 86: // RETURN
      case 87: // SIZEOF
      case 88: // BOOL
      case 89: // QUANTUM
      case 90: // PSWAP
      case 91: // ISWAP
      case 92: // SWAP
      case 93: // X_GATE
      case 94: // Y_GATE
      case 95: // Z_GATE
      case 96: // HADAMARD
      case 97: // PHASE
      case 98: // S_GATE
      case 99: // T_GATE
      case 100: // RX
      case 101: // RY
      case 102: // RZ
      case 103: // INVERSE
      case 104: // CONTROL
      case 105: // MEASURE
      case 106: // IDENTITY
        value.YY_MOVE_OR_COPY< std::pair<int, int> > (YY_MOVE (that.value));
        break;

      case 138: // parameter_type_list
        value.YY_MOVE_OR_COPY< std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > (YY_MOVE (that.value));
        break;

      case 144: // abstract_declarator
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 134: // parameter_declaration
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::ArgDeclNode> > (YY_MOVE (that.value));
        break;

      case 152: // compound_statement
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::BlockNode> > (YY_MOVE (that.value));
        break;

      case 130: // declaration
      case 135: // external_declaration
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::DeclNode> > (YY_MOVE (that.value));
        break;

      case 131: // declarator
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::DeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 145: // direct_abstract_declarator
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 132: // direct_declarator
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 108: // expression
      case 109: // primary_expression
      case 110: // postfix_expression
      case 111: // unary_expression
      case 112: // cast_expression
      case 113: // multiplicative_expression
      case 114: // additive_expression
      case 115: // shift_expression
      case 116: // relational_expression
      case 117: // quantum_binary_expression
      case 118: // equality_expression
      case 119: // and_expression
      case 120: // exclusive_or_expression
      case 121: // inclusive_or_expression
      case 122: // logical_and_expression
      case 123: // logical_or_expression
      case 124: // conditional_expression
      case 125: // assignment_expression
      case 126: // constant_expression
      case 127: // initializer
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::ExprNode> > (YY_MOVE (that.value));
        break;

      case 158: // function_definition
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::FuncDefNode> > (YY_MOVE (that.value));
        break;

      case 133: // init_declarator
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::InitDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 159: // unary_operator
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::OperatorNode> > (YY_MOVE (that.value));
        break;

      case 150: // statement
      case 151: // labeled_statement
      case 153: // expression_statement
      case 154: // selection_statement
      case 155: // iteration_statement
      case 156: // jump_statement
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::StmtNode> > (YY_MOVE (that.value));
        break;

      case 142: // storage_class_specifier
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::StorageClassSpecNode> > (YY_MOVE (that.value));
        break;

      case 143: // type_name
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::TypeNameNode> > (YY_MOVE (that.value));
        break;

      case 141: // type_qualifier
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::TypeQualifierNode> > (YY_MOVE (that.value));
        break;

      case 140: // type_specifier
        value.YY_MOVE_OR_COPY< std::shared_ptr<quant_c_ast::TypeSpecNode> > (YY_MOVE (that.value));
        break;

      case 162: // quantum_op_prefix
        value.YY_MOVE_OR_COPY< std::tuple<bool, int, int> > (YY_MOVE (that.value));
        break;

      case 161: // quantum_unary_op
        value.YY_MOVE_OR_COPY< std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > (YY_MOVE (that.value));
        break;

      case 139: // parameter_list
        value.YY_MOVE_OR_COPY< std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > (YY_MOVE (that.value));
        break;

      case 137: // declaration_list
        value.YY_MOVE_OR_COPY< std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > (YY_MOVE (that.value));
        break;

      case 128: // argument_expression_list
      case 129: // initializer_list
        value.YY_MOVE_OR_COPY< std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > (YY_MOVE (that.value));
        break;

      case 136: // init_declarator_list
        value.YY_MOVE_OR_COPY< std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > (YY_MOVE (that.value));
        break;

      case 147: // pointer
        value.YY_MOVE_OR_COPY< std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > (YY_MOVE (that.value));
        break;

      case 163: // quantum_op_postfix
        value.YY_MOVE_OR_COPY< std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > (YY_MOVE (that.value));
        break;

      case 157: // statement_list
        value.YY_MOVE_OR_COPY< std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > (YY_MOVE (that.value));
        break;

      case 146: // declaration_specifiers
      case 148: // specifier_qualifier_list
        value.YY_MOVE_OR_COPY< std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (YY_MOVE (that.value));
        break;

      case 149: // type_qualifier_list
        value.YY_MOVE_OR_COPY< std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > (YY_MOVE (that.value));
        break;

      case 164: // identifier_list
        value.YY_MOVE_OR_COPY< std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > (YY_MOVE (that.value));
        break;

      default:
        break;
    }

#if 201103L <= YY_CPLUSPLUS
    // that is emptied.
    that.state = empty_state;
#endif
  }

  Parser::stack_symbol_type::stack_symbol_type (state_type s, YY_MOVE_REF (symbol_type) that)
    : super_type (s)
  {
    switch (that.type_get ())
    {
      case 160: // assignment_operator
        value.move< int > (YY_MOVE (that.value));
        break;

      case 6: // BOOL_LITERAL
        value.move< quant_c_token::BoolLitToken > (YY_MOVE (that.value));
        break;

      case 7: // CHAR_LITERAL
        value.move< quant_c_token::CharLitToken > (YY_MOVE (that.value));
        break;

      case 5: // FLOAT_LITERAL
        value.move< quant_c_token::FloatLitToken > (YY_MOVE (that.value));
        break;

      case 3: // IDENTIFIER
        value.move< quant_c_token::IdentifierToken > (YY_MOVE (that.value));
        break;

      case 4: // INT_LITERAL
        value.move< quant_c_token::IntLitToken > (YY_MOVE (that.value));
        break;

      case 8: // STRING_LITERAL
        value.move< quant_c_token::StringLitToken > (YY_MOVE (that.value));
        break;

      case 9: // TYPE_NAME
        value.move< quant_c_token::TypeNameToken > (YY_MOVE (that.value));
        break;

      case 10: // PTR_OP
      case 11: // INC_OP
      case 12: // DEC_OP
      case 13: // LEFT_OP
      case 14: // RIGHT_OP
      case 15: // LE_OP
      case 16: // GE_OP
      case 17: // EQ_OP
      case 18: // NE_OP
      case 19: // ADD_ASSIGN
      case 20: // AND_OP
      case 21: // OR_OP
      case 22: // MUL_ASSIGN
      case 23: // DIV_ASSIGN
      case 24: // MOD_ASSIGN
      case 25: // SUB_ASSIGN
      case 26: // LEFT_ASSIGN
      case 27: // RIGHT_ASSIGN
      case 28: // AND_ASSIGN
      case 29: // XOR_ASSIGN
      case 30: // OR_ASSIGN
      case 31: // ELLIPSIS
      case 32: // ';'
      case 33: // '{'
      case 34: // '}'
      case 35: // ','
      case 36: // ':'
      case 37: // '='
      case 38: // '('
      case 39: // ')'
      case 40: // '['
      case 41: // ']'
      case 42: // '.'
      case 43: // '&'
      case 44: // '!'
      case 45: // '~'
      case 46: // '-'
      case 47: // '+'
      case 48: // '*'
      case 49: // '/'
      case 50: // '%'
      case 51: // '<'
      case 52: // '>'
      case 53: // '^'
      case 54: // '|'
      case 55: // '?'
      case 56: // TYPEDEF
      case 57: // EXTERN
      case 58: // STATIC
      case 59: // AUTO
      case 60: // REGISTER
      case 61: // CHAR
      case 62: // SHORT
      case 63: // INT
      case 64: // LONG
      case 65: // SIGNED
      case 66: // UNSIGNED
      case 67: // FLOAT
      case 68: // DOUBLE
      case 69: // CONST
      case 70: // VOLATILE
      case 71: // VOID
      case 72: // STRUCT
      case 73: // UNION
      case 74: // ENUM
      case 75: // CASE
      case 76: // DEFAULT
      case 77: // IF
      case 78: // ELSE
      case 79: // SWITCH
      case 80: // WHILE
      case 81: // DO
      case 82: // FOR
      case 83: // GOTO
      case 84: // CONTINUE
      case 85: // BREAK
      case 86: // RETURN
      case 87: // SIZEOF
      case 88: // BOOL
      case 89: // QUANTUM
      case 90: // PSWAP
      case 91: // ISWAP
      case 92: // SWAP
      case 93: // X_GATE
      case 94: // Y_GATE
      case 95: // Z_GATE
      case 96: // HADAMARD
      case 97: // PHASE
      case 98: // S_GATE
      case 99: // T_GATE
      case 100: // RX
      case 101: // RY
      case 102: // RZ
      case 103: // INVERSE
      case 104: // CONTROL
      case 105: // MEASURE
      case 106: // IDENTITY
        value.move< std::pair<int, int> > (YY_MOVE (that.value));
        break;

      case 138: // parameter_type_list
        value.move< std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > (YY_MOVE (that.value));
        break;

      case 144: // abstract_declarator
        value.move< std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 134: // parameter_declaration
        value.move< std::shared_ptr<quant_c_ast::ArgDeclNode> > (YY_MOVE (that.value));
        break;

      case 152: // compound_statement
        value.move< std::shared_ptr<quant_c_ast::BlockNode> > (YY_MOVE (that.value));
        break;

      case 130: // declaration
      case 135: // external_declaration
        value.move< std::shared_ptr<quant_c_ast::DeclNode> > (YY_MOVE (that.value));
        break;

      case 131: // declarator
        value.move< std::shared_ptr<quant_c_ast::DeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 145: // direct_abstract_declarator
        value.move< std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 132: // direct_declarator
        value.move< std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 108: // expression
      case 109: // primary_expression
      case 110: // postfix_expression
      case 111: // unary_expression
      case 112: // cast_expression
      case 113: // multiplicative_expression
      case 114: // additive_expression
      case 115: // shift_expression
      case 116: // relational_expression
      case 117: // quantum_binary_expression
      case 118: // equality_expression
      case 119: // and_expression
      case 120: // exclusive_or_expression
      case 121: // inclusive_or_expression
      case 122: // logical_and_expression
      case 123: // logical_or_expression
      case 124: // conditional_expression
      case 125: // assignment_expression
      case 126: // constant_expression
      case 127: // initializer
        value.move< std::shared_ptr<quant_c_ast::ExprNode> > (YY_MOVE (that.value));
        break;

      case 158: // function_definition
        value.move< std::shared_ptr<quant_c_ast::FuncDefNode> > (YY_MOVE (that.value));
        break;

      case 133: // init_declarator
        value.move< std::shared_ptr<quant_c_ast::InitDeclaratorNode> > (YY_MOVE (that.value));
        break;

      case 159: // unary_operator
        value.move< std::shared_ptr<quant_c_ast::OperatorNode> > (YY_MOVE (that.value));
        break;

      case 150: // statement
      case 151: // labeled_statement
      case 153: // expression_statement
      case 154: // selection_statement
      case 155: // iteration_statement
      case 156: // jump_statement
        value.move< std::shared_ptr<quant_c_ast::StmtNode> > (YY_MOVE (that.value));
        break;

      case 142: // storage_class_specifier
        value.move< std::shared_ptr<quant_c_ast::StorageClassSpecNode> > (YY_MOVE (that.value));
        break;

      case 143: // type_name
        value.move< std::shared_ptr<quant_c_ast::TypeNameNode> > (YY_MOVE (that.value));
        break;

      case 141: // type_qualifier
        value.move< std::shared_ptr<quant_c_ast::TypeQualifierNode> > (YY_MOVE (that.value));
        break;

      case 140: // type_specifier
        value.move< std::shared_ptr<quant_c_ast::TypeSpecNode> > (YY_MOVE (that.value));
        break;

      case 162: // quantum_op_prefix
        value.move< std::tuple<bool, int, int> > (YY_MOVE (that.value));
        break;

      case 161: // quantum_unary_op
        value.move< std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > (YY_MOVE (that.value));
        break;

      case 139: // parameter_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > (YY_MOVE (that.value));
        break;

      case 137: // declaration_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > (YY_MOVE (that.value));
        break;

      case 128: // argument_expression_list
      case 129: // initializer_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > (YY_MOVE (that.value));
        break;

      case 136: // init_declarator_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > (YY_MOVE (that.value));
        break;

      case 147: // pointer
        value.move< std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > (YY_MOVE (that.value));
        break;

      case 163: // quantum_op_postfix
        value.move< std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > (YY_MOVE (that.value));
        break;

      case 157: // statement_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > (YY_MOVE (that.value));
        break;

      case 146: // declaration_specifiers
      case 148: // specifier_qualifier_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (YY_MOVE (that.value));
        break;

      case 149: // type_qualifier_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > (YY_MOVE (that.value));
        break;

      case 164: // identifier_list
        value.move< std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > (YY_MOVE (that.value));
        break;

      default:
        break;
    }

    // that is emptied.
    that.type = empty_symbol;
  }

#if YY_CPLUSPLUS < 201103L
  Parser::stack_symbol_type&
  Parser::stack_symbol_type::operator= (const stack_symbol_type& that)
  {
    state = that.state;
    switch (that.type_get ())
    {
      case 160: // assignment_operator
        value.copy< int > (that.value);
        break;

      case 6: // BOOL_LITERAL
        value.copy< quant_c_token::BoolLitToken > (that.value);
        break;

      case 7: // CHAR_LITERAL
        value.copy< quant_c_token::CharLitToken > (that.value);
        break;

      case 5: // FLOAT_LITERAL
        value.copy< quant_c_token::FloatLitToken > (that.value);
        break;

      case 3: // IDENTIFIER
        value.copy< quant_c_token::IdentifierToken > (that.value);
        break;

      case 4: // INT_LITERAL
        value.copy< quant_c_token::IntLitToken > (that.value);
        break;

      case 8: // STRING_LITERAL
        value.copy< quant_c_token::StringLitToken > (that.value);
        break;

      case 9: // TYPE_NAME
        value.copy< quant_c_token::TypeNameToken > (that.value);
        break;

      case 10: // PTR_OP
      case 11: // INC_OP
      case 12: // DEC_OP
      case 13: // LEFT_OP
      case 14: // RIGHT_OP
      case 15: // LE_OP
      case 16: // GE_OP
      case 17: // EQ_OP
      case 18: // NE_OP
      case 19: // ADD_ASSIGN
      case 20: // AND_OP
      case 21: // OR_OP
      case 22: // MUL_ASSIGN
      case 23: // DIV_ASSIGN
      case 24: // MOD_ASSIGN
      case 25: // SUB_ASSIGN
      case 26: // LEFT_ASSIGN
      case 27: // RIGHT_ASSIGN
      case 28: // AND_ASSIGN
      case 29: // XOR_ASSIGN
      case 30: // OR_ASSIGN
      case 31: // ELLIPSIS
      case 32: // ';'
      case 33: // '{'
      case 34: // '}'
      case 35: // ','
      case 36: // ':'
      case 37: // '='
      case 38: // '('
      case 39: // ')'
      case 40: // '['
      case 41: // ']'
      case 42: // '.'
      case 43: // '&'
      case 44: // '!'
      case 45: // '~'
      case 46: // '-'
      case 47: // '+'
      case 48: // '*'
      case 49: // '/'
      case 50: // '%'
      case 51: // '<'
      case 52: // '>'
      case 53: // '^'
      case 54: // '|'
      case 55: // '?'
      case 56: // TYPEDEF
      case 57: // EXTERN
      case 58: // STATIC
      case 59: // AUTO
      case 60: // REGISTER
      case 61: // CHAR
      case 62: // SHORT
      case 63: // INT
      case 64: // LONG
      case 65: // SIGNED
      case 66: // UNSIGNED
      case 67: // FLOAT
      case 68: // DOUBLE
      case 69: // CONST
      case 70: // VOLATILE
      case 71: // VOID
      case 72: // STRUCT
      case 73: // UNION
      case 74: // ENUM
      case 75: // CASE
      case 76: // DEFAULT
      case 77: // IF
      case 78: // ELSE
      case 79: // SWITCH
      case 80: // WHILE
      case 81: // DO
      case 82: // FOR
      case 83: // GOTO
      case 84: // CONTINUE
      case 85: // BREAK
      case 86: // RETURN
      case 87: // SIZEOF
      case 88: // BOOL
      case 89: // QUANTUM
      case 90: // PSWAP
      case 91: // ISWAP
      case 92: // SWAP
      case 93: // X_GATE
      case 94: // Y_GATE
      case 95: // Z_GATE
      case 96: // HADAMARD
      case 97: // PHASE
      case 98: // S_GATE
      case 99: // T_GATE
      case 100: // RX
      case 101: // RY
      case 102: // RZ
      case 103: // INVERSE
      case 104: // CONTROL
      case 105: // MEASURE
      case 106: // IDENTITY
        value.copy< std::pair<int, int> > (that.value);
        break;

      case 138: // parameter_type_list
        value.copy< std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > (that.value);
        break;

      case 144: // abstract_declarator
        value.copy< std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > (that.value);
        break;

      case 134: // parameter_declaration
        value.copy< std::shared_ptr<quant_c_ast::ArgDeclNode> > (that.value);
        break;

      case 152: // compound_statement
        value.copy< std::shared_ptr<quant_c_ast::BlockNode> > (that.value);
        break;

      case 130: // declaration
      case 135: // external_declaration
        value.copy< std::shared_ptr<quant_c_ast::DeclNode> > (that.value);
        break;

      case 131: // declarator
        value.copy< std::shared_ptr<quant_c_ast::DeclaratorNode> > (that.value);
        break;

      case 145: // direct_abstract_declarator
        value.copy< std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > (that.value);
        break;

      case 132: // direct_declarator
        value.copy< std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (that.value);
        break;

      case 108: // expression
      case 109: // primary_expression
      case 110: // postfix_expression
      case 111: // unary_expression
      case 112: // cast_expression
      case 113: // multiplicative_expression
      case 114: // additive_expression
      case 115: // shift_expression
      case 116: // relational_expression
      case 117: // quantum_binary_expression
      case 118: // equality_expression
      case 119: // and_expression
      case 120: // exclusive_or_expression
      case 121: // inclusive_or_expression
      case 122: // logical_and_expression
      case 123: // logical_or_expression
      case 124: // conditional_expression
      case 125: // assignment_expression
      case 126: // constant_expression
      case 127: // initializer
        value.copy< std::shared_ptr<quant_c_ast::ExprNode> > (that.value);
        break;

      case 158: // function_definition
        value.copy< std::shared_ptr<quant_c_ast::FuncDefNode> > (that.value);
        break;

      case 133: // init_declarator
        value.copy< std::shared_ptr<quant_c_ast::InitDeclaratorNode> > (that.value);
        break;

      case 159: // unary_operator
        value.copy< std::shared_ptr<quant_c_ast::OperatorNode> > (that.value);
        break;

      case 150: // statement
      case 151: // labeled_statement
      case 153: // expression_statement
      case 154: // selection_statement
      case 155: // iteration_statement
      case 156: // jump_statement
        value.copy< std::shared_ptr<quant_c_ast::StmtNode> > (that.value);
        break;

      case 142: // storage_class_specifier
        value.copy< std::shared_ptr<quant_c_ast::StorageClassSpecNode> > (that.value);
        break;

      case 143: // type_name
        value.copy< std::shared_ptr<quant_c_ast::TypeNameNode> > (that.value);
        break;

      case 141: // type_qualifier
        value.copy< std::shared_ptr<quant_c_ast::TypeQualifierNode> > (that.value);
        break;

      case 140: // type_specifier
        value.copy< std::shared_ptr<quant_c_ast::TypeSpecNode> > (that.value);
        break;

      case 162: // quantum_op_prefix
        value.copy< std::tuple<bool, int, int> > (that.value);
        break;

      case 161: // quantum_unary_op
        value.copy< std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > (that.value);
        break;

      case 139: // parameter_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > (that.value);
        break;

      case 137: // declaration_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > (that.value);
        break;

      case 128: // argument_expression_list
      case 129: // initializer_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > (that.value);
        break;

      case 136: // init_declarator_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > (that.value);
        break;

      case 147: // pointer
        value.copy< std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > (that.value);
        break;

      case 163: // quantum_op_postfix
        value.copy< std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > (that.value);
        break;

      case 157: // statement_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > (that.value);
        break;

      case 146: // declaration_specifiers
      case 148: // specifier_qualifier_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (that.value);
        break;

      case 149: // type_qualifier_list
        value.copy< std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > (that.value);
        break;

      case 164: // identifier_list
        value.copy< std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > (that.value);
        break;

      default:
        break;
    }

    return *this;
  }

  Parser::stack_symbol_type&
  Parser::stack_symbol_type::operator= (stack_symbol_type& that)
  {
    state = that.state;
    switch (that.type_get ())
    {
      case 160: // assignment_operator
        value.move< int > (that.value);
        break;

      case 6: // BOOL_LITERAL
        value.move< quant_c_token::BoolLitToken > (that.value);
        break;

      case 7: // CHAR_LITERAL
        value.move< quant_c_token::CharLitToken > (that.value);
        break;

      case 5: // FLOAT_LITERAL
        value.move< quant_c_token::FloatLitToken > (that.value);
        break;

      case 3: // IDENTIFIER
        value.move< quant_c_token::IdentifierToken > (that.value);
        break;

      case 4: // INT_LITERAL
        value.move< quant_c_token::IntLitToken > (that.value);
        break;

      case 8: // STRING_LITERAL
        value.move< quant_c_token::StringLitToken > (that.value);
        break;

      case 9: // TYPE_NAME
        value.move< quant_c_token::TypeNameToken > (that.value);
        break;

      case 10: // PTR_OP
      case 11: // INC_OP
      case 12: // DEC_OP
      case 13: // LEFT_OP
      case 14: // RIGHT_OP
      case 15: // LE_OP
      case 16: // GE_OP
      case 17: // EQ_OP
      case 18: // NE_OP
      case 19: // ADD_ASSIGN
      case 20: // AND_OP
      case 21: // OR_OP
      case 22: // MUL_ASSIGN
      case 23: // DIV_ASSIGN
      case 24: // MOD_ASSIGN
      case 25: // SUB_ASSIGN
      case 26: // LEFT_ASSIGN
      case 27: // RIGHT_ASSIGN
      case 28: // AND_ASSIGN
      case 29: // XOR_ASSIGN
      case 30: // OR_ASSIGN
      case 31: // ELLIPSIS
      case 32: // ';'
      case 33: // '{'
      case 34: // '}'
      case 35: // ','
      case 36: // ':'
      case 37: // '='
      case 38: // '('
      case 39: // ')'
      case 40: // '['
      case 41: // ']'
      case 42: // '.'
      case 43: // '&'
      case 44: // '!'
      case 45: // '~'
      case 46: // '-'
      case 47: // '+'
      case 48: // '*'
      case 49: // '/'
      case 50: // '%'
      case 51: // '<'
      case 52: // '>'
      case 53: // '^'
      case 54: // '|'
      case 55: // '?'
      case 56: // TYPEDEF
      case 57: // EXTERN
      case 58: // STATIC
      case 59: // AUTO
      case 60: // REGISTER
      case 61: // CHAR
      case 62: // SHORT
      case 63: // INT
      case 64: // LONG
      case 65: // SIGNED
      case 66: // UNSIGNED
      case 67: // FLOAT
      case 68: // DOUBLE
      case 69: // CONST
      case 70: // VOLATILE
      case 71: // VOID
      case 72: // STRUCT
      case 73: // UNION
      case 74: // ENUM
      case 75: // CASE
      case 76: // DEFAULT
      case 77: // IF
      case 78: // ELSE
      case 79: // SWITCH
      case 80: // WHILE
      case 81: // DO
      case 82: // FOR
      case 83: // GOTO
      case 84: // CONTINUE
      case 85: // BREAK
      case 86: // RETURN
      case 87: // SIZEOF
      case 88: // BOOL
      case 89: // QUANTUM
      case 90: // PSWAP
      case 91: // ISWAP
      case 92: // SWAP
      case 93: // X_GATE
      case 94: // Y_GATE
      case 95: // Z_GATE
      case 96: // HADAMARD
      case 97: // PHASE
      case 98: // S_GATE
      case 99: // T_GATE
      case 100: // RX
      case 101: // RY
      case 102: // RZ
      case 103: // INVERSE
      case 104: // CONTROL
      case 105: // MEASURE
      case 106: // IDENTITY
        value.move< std::pair<int, int> > (that.value);
        break;

      case 138: // parameter_type_list
        value.move< std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > (that.value);
        break;

      case 144: // abstract_declarator
        value.move< std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > (that.value);
        break;

      case 134: // parameter_declaration
        value.move< std::shared_ptr<quant_c_ast::ArgDeclNode> > (that.value);
        break;

      case 152: // compound_statement
        value.move< std::shared_ptr<quant_c_ast::BlockNode> > (that.value);
        break;

      case 130: // declaration
      case 135: // external_declaration
        value.move< std::shared_ptr<quant_c_ast::DeclNode> > (that.value);
        break;

      case 131: // declarator
        value.move< std::shared_ptr<quant_c_ast::DeclaratorNode> > (that.value);
        break;

      case 145: // direct_abstract_declarator
        value.move< std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > (that.value);
        break;

      case 132: // direct_declarator
        value.move< std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (that.value);
        break;

      case 108: // expression
      case 109: // primary_expression
      case 110: // postfix_expression
      case 111: // unary_expression
      case 112: // cast_expression
      case 113: // multiplicative_expression
      case 114: // additive_expression
      case 115: // shift_expression
      case 116: // relational_expression
      case 117: // quantum_binary_expression
      case 118: // equality_expression
      case 119: // and_expression
      case 120: // exclusive_or_expression
      case 121: // inclusive_or_expression
      case 122: // logical_and_expression
      case 123: // logical_or_expression
      case 124: // conditional_expression
      case 125: // assignment_expression
      case 126: // constant_expression
      case 127: // initializer
        value.move< std::shared_ptr<quant_c_ast::ExprNode> > (that.value);
        break;

      case 158: // function_definition
        value.move< std::shared_ptr<quant_c_ast::FuncDefNode> > (that.value);
        break;

      case 133: // init_declarator
        value.move< std::shared_ptr<quant_c_ast::InitDeclaratorNode> > (that.value);
        break;

      case 159: // unary_operator
        value.move< std::shared_ptr<quant_c_ast::OperatorNode> > (that.value);
        break;

      case 150: // statement
      case 151: // labeled_statement
      case 153: // expression_statement
      case 154: // selection_statement
      case 155: // iteration_statement
      case 156: // jump_statement
        value.move< std::shared_ptr<quant_c_ast::StmtNode> > (that.value);
        break;

      case 142: // storage_class_specifier
        value.move< std::shared_ptr<quant_c_ast::StorageClassSpecNode> > (that.value);
        break;

      case 143: // type_name
        value.move< std::shared_ptr<quant_c_ast::TypeNameNode> > (that.value);
        break;

      case 141: // type_qualifier
        value.move< std::shared_ptr<quant_c_ast::TypeQualifierNode> > (that.value);
        break;

      case 140: // type_specifier
        value.move< std::shared_ptr<quant_c_ast::TypeSpecNode> > (that.value);
        break;

      case 162: // quantum_op_prefix
        value.move< std::tuple<bool, int, int> > (that.value);
        break;

      case 161: // quantum_unary_op
        value.move< std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > (that.value);
        break;

      case 139: // parameter_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > (that.value);
        break;

      case 137: // declaration_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > (that.value);
        break;

      case 128: // argument_expression_list
      case 129: // initializer_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > (that.value);
        break;

      case 136: // init_declarator_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > (that.value);
        break;

      case 147: // pointer
        value.move< std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > (that.value);
        break;

      case 163: // quantum_op_postfix
        value.move< std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > (that.value);
        break;

      case 157: // statement_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > (that.value);
        break;

      case 146: // declaration_specifiers
      case 148: // specifier_qualifier_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (that.value);
        break;

      case 149: // type_qualifier_list
        value.move< std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > (that.value);
        break;

      case 164: // identifier_list
        value.move< std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > (that.value);
        break;

      default:
        break;
    }

    // that is emptied.
    that.state = empty_state;
    return *this;
  }
#endif

  template <typename Base>
  void
  Parser::yy_destroy_ (const char* yymsg, basic_symbol<Base>& yysym) const
  {
    if (yymsg)
      YY_SYMBOL_PRINT (yymsg, yysym);
  }

#if YYDEBUG
  template <typename Base>
  void
  Parser::yy_print_ (std::ostream& yyo,
                                     const basic_symbol<Base>& yysym) const
  {
    std::ostream& yyoutput = yyo;
    YYUSE (yyoutput);
    symbol_number_type yytype = yysym.type_get ();
#if defined __GNUC__ && ! defined __clang__ && ! defined __ICC && __GNUC__ * 100 + __GNUC_MINOR__ <= 408
    // Avoid a (spurious) G++ 4.8 warning about "array subscript is
    // below array bounds".
    if (yysym.empty ())
      std::abort ();
#endif
    yyo << (yytype < yyntokens_ ? "token" : "nterm")
        << ' ' << yytname_[yytype] << " (";
    YYUSE (yytype);
    yyo << ')';
  }
#endif

  void
  Parser::yypush_ (const char* m, YY_MOVE_REF (stack_symbol_type) sym)
  {
    if (m)
      YY_SYMBOL_PRINT (m, sym);
    yystack_.push (YY_MOVE (sym));
  }

  void
  Parser::yypush_ (const char* m, state_type s, YY_MOVE_REF (symbol_type) sym)
  {
#if 201103L <= YY_CPLUSPLUS
    yypush_ (m, stack_symbol_type (s, std::move (sym)));
#else
    stack_symbol_type ss (s, sym);
    yypush_ (m, ss);
#endif
  }

  void
  Parser::yypop_ (int n)
  {
    yystack_.pop (n);
  }

#if YYDEBUG
  std::ostream&
  Parser::debug_stream () const
  {
    return *yycdebug_;
  }

  void
  Parser::set_debug_stream (std::ostream& o)
  {
    yycdebug_ = &o;
  }


  Parser::debug_level_type
  Parser::debug_level () const
  {
    return yydebug_;
  }

  void
  Parser::set_debug_level (debug_level_type l)
  {
    yydebug_ = l;
  }
#endif // YYDEBUG

  Parser::state_type
  Parser::yy_lr_goto_state_ (state_type yystate, int yysym)
  {
    int yyr = yypgoto_[yysym - yyntokens_] + yystate;
    if (0 <= yyr && yyr <= yylast_ && yycheck_[yyr] == yystate)
      return yytable_[yyr];
    else
      return yydefgoto_[yysym - yyntokens_];
  }

  bool
  Parser::yy_pact_value_is_default_ (int yyvalue)
  {
    return yyvalue == yypact_ninf_;
  }

  bool
  Parser::yy_table_value_is_error_ (int yyvalue)
  {
    return yyvalue == yytable_ninf_;
  }

  int
  Parser::operator() ()
  {
    return parse ();
  }

  int
  Parser::parse ()
  {
    int yyn;
    /// Length of the RHS of the rule being reduced.
    int yylen = 0;

    // Error handling.
    int yynerrs_ = 0;
    int yyerrstatus_ = 0;

    /// The lookahead symbol.
    symbol_type yyla;

    /// The return value of parse ().
    int yyresult;

#if YY_EXCEPTIONS
    try
#endif // YY_EXCEPTIONS
      {
    YYCDEBUG << "Starting parse\n";


    /* Initialize the stack.  The initial state will be set in
       yynewstate, since the latter expects the semantical and the
       location values to have been already stored, initialize these
       stacks with a primary value.  */
    yystack_.clear ();
    yypush_ (YY_NULLPTR, 0, YY_MOVE (yyla));

  /*-----------------------------------------------.
  | yynewstate -- push a new symbol on the stack.  |
  `-----------------------------------------------*/
  yynewstate:
    YYCDEBUG << "Entering state " << int (yystack_[0].state) << '\n';

    // Accept?
    if (yystack_[0].state == yyfinal_)
      YYACCEPT;

    goto yybackup;


  /*-----------.
  | yybackup.  |
  `-----------*/
  yybackup:
    // Try to take a decision without lookahead.
    yyn = yypact_[+yystack_[0].state];
    if (yy_pact_value_is_default_ (yyn))
      goto yydefault;

    // Read a lookahead token.
    if (yyla.empty ())
      {
        YYCDEBUG << "Reading a token: ";
#if YY_EXCEPTIONS
        try
#endif // YY_EXCEPTIONS
          {
            yyla.type = yytranslate_ (yylex (&yyla.value));
          }
#if YY_EXCEPTIONS
        catch (const syntax_error& yyexc)
          {
            YYCDEBUG << "Caught exception: " << yyexc.what() << '\n';
            error (yyexc);
            goto yyerrlab1;
          }
#endif // YY_EXCEPTIONS
      }
    YY_SYMBOL_PRINT ("Next token is", yyla);

    /* If the proper action on seeing token YYLA.TYPE is to reduce or
       to detect an error, take that action.  */
    yyn += yyla.type_get ();
    if (yyn < 0 || yylast_ < yyn || yycheck_[yyn] != yyla.type_get ())
      {
        goto yydefault;
      }

    // Reduce or error.
    yyn = yytable_[yyn];
    if (yyn <= 0)
      {
        if (yy_table_value_is_error_ (yyn))
          goto yyerrlab;
        yyn = -yyn;
        goto yyreduce;
      }

    // Count tokens shifted since error; after three, turn off error status.
    if (yyerrstatus_)
      --yyerrstatus_;

    // Shift the lookahead token.
    yypush_ ("Shifting", state_type (yyn), YY_MOVE (yyla));
    goto yynewstate;


  /*-----------------------------------------------------------.
  | yydefault -- do the default action for the current state.  |
  `-----------------------------------------------------------*/
  yydefault:
    yyn = yydefact_[+yystack_[0].state];
    if (yyn == 0)
      goto yyerrlab;
    goto yyreduce;


  /*-----------------------------.
  | yyreduce -- do a reduction.  |
  `-----------------------------*/
  yyreduce:
    yylen = yyr2_[yyn];
    {
      stack_symbol_type yylhs;
      yylhs.state = yy_lr_goto_state_ (yystack_[yylen].state, yyr1_[yyn]);
      /* Variants are always initialized to an empty instance of the
         correct type. The default '$$ = $1' action is NOT applied
         when using variants.  */
      switch (yyr1_[yyn])
    {
      case 160: // assignment_operator
        yylhs.value.emplace< int > ();
        break;

      case 6: // BOOL_LITERAL
        yylhs.value.emplace< quant_c_token::BoolLitToken > ();
        break;

      case 7: // CHAR_LITERAL
        yylhs.value.emplace< quant_c_token::CharLitToken > ();
        break;

      case 5: // FLOAT_LITERAL
        yylhs.value.emplace< quant_c_token::FloatLitToken > ();
        break;

      case 3: // IDENTIFIER
        yylhs.value.emplace< quant_c_token::IdentifierToken > ();
        break;

      case 4: // INT_LITERAL
        yylhs.value.emplace< quant_c_token::IntLitToken > ();
        break;

      case 8: // STRING_LITERAL
        yylhs.value.emplace< quant_c_token::StringLitToken > ();
        break;

      case 9: // TYPE_NAME
        yylhs.value.emplace< quant_c_token::TypeNameToken > ();
        break;

      case 10: // PTR_OP
      case 11: // INC_OP
      case 12: // DEC_OP
      case 13: // LEFT_OP
      case 14: // RIGHT_OP
      case 15: // LE_OP
      case 16: // GE_OP
      case 17: // EQ_OP
      case 18: // NE_OP
      case 19: // ADD_ASSIGN
      case 20: // AND_OP
      case 21: // OR_OP
      case 22: // MUL_ASSIGN
      case 23: // DIV_ASSIGN
      case 24: // MOD_ASSIGN
      case 25: // SUB_ASSIGN
      case 26: // LEFT_ASSIGN
      case 27: // RIGHT_ASSIGN
      case 28: // AND_ASSIGN
      case 29: // XOR_ASSIGN
      case 30: // OR_ASSIGN
      case 31: // ELLIPSIS
      case 32: // ';'
      case 33: // '{'
      case 34: // '}'
      case 35: // ','
      case 36: // ':'
      case 37: // '='
      case 38: // '('
      case 39: // ')'
      case 40: // '['
      case 41: // ']'
      case 42: // '.'
      case 43: // '&'
      case 44: // '!'
      case 45: // '~'
      case 46: // '-'
      case 47: // '+'
      case 48: // '*'
      case 49: // '/'
      case 50: // '%'
      case 51: // '<'
      case 52: // '>'
      case 53: // '^'
      case 54: // '|'
      case 55: // '?'
      case 56: // TYPEDEF
      case 57: // EXTERN
      case 58: // STATIC
      case 59: // AUTO
      case 60: // REGISTER
      case 61: // CHAR
      case 62: // SHORT
      case 63: // INT
      case 64: // LONG
      case 65: // SIGNED
      case 66: // UNSIGNED
      case 67: // FLOAT
      case 68: // DOUBLE
      case 69: // CONST
      case 70: // VOLATILE
      case 71: // VOID
      case 72: // STRUCT
      case 73: // UNION
      case 74: // ENUM
      case 75: // CASE
      case 76: // DEFAULT
      case 77: // IF
      case 78: // ELSE
      case 79: // SWITCH
      case 80: // WHILE
      case 81: // DO
      case 82: // FOR
      case 83: // GOTO
      case 84: // CONTINUE
      case 85: // BREAK
      case 86: // RETURN
      case 87: // SIZEOF
      case 88: // BOOL
      case 89: // QUANTUM
      case 90: // PSWAP
      case 91: // ISWAP
      case 92: // SWAP
      case 93: // X_GATE
      case 94: // Y_GATE
      case 95: // Z_GATE
      case 96: // HADAMARD
      case 97: // PHASE
      case 98: // S_GATE
      case 99: // T_GATE
      case 100: // RX
      case 101: // RY
      case 102: // RZ
      case 103: // INVERSE
      case 104: // CONTROL
      case 105: // MEASURE
      case 106: // IDENTITY
        yylhs.value.emplace< std::pair<int, int> > ();
        break;

      case 138: // parameter_type_list
        yylhs.value.emplace< std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > ();
        break;

      case 144: // abstract_declarator
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > ();
        break;

      case 134: // parameter_declaration
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::ArgDeclNode> > ();
        break;

      case 152: // compound_statement
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::BlockNode> > ();
        break;

      case 130: // declaration
      case 135: // external_declaration
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::DeclNode> > ();
        break;

      case 131: // declarator
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::DeclaratorNode> > ();
        break;

      case 145: // direct_abstract_declarator
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > ();
        break;

      case 132: // direct_declarator
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ();
        break;

      case 108: // expression
      case 109: // primary_expression
      case 110: // postfix_expression
      case 111: // unary_expression
      case 112: // cast_expression
      case 113: // multiplicative_expression
      case 114: // additive_expression
      case 115: // shift_expression
      case 116: // relational_expression
      case 117: // quantum_binary_expression
      case 118: // equality_expression
      case 119: // and_expression
      case 120: // exclusive_or_expression
      case 121: // inclusive_or_expression
      case 122: // logical_and_expression
      case 123: // logical_or_expression
      case 124: // conditional_expression
      case 125: // assignment_expression
      case 126: // constant_expression
      case 127: // initializer
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::ExprNode> > ();
        break;

      case 158: // function_definition
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::FuncDefNode> > ();
        break;

      case 133: // init_declarator
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::InitDeclaratorNode> > ();
        break;

      case 159: // unary_operator
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::OperatorNode> > ();
        break;

      case 150: // statement
      case 151: // labeled_statement
      case 153: // expression_statement
      case 154: // selection_statement
      case 155: // iteration_statement
      case 156: // jump_statement
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::StmtNode> > ();
        break;

      case 142: // storage_class_specifier
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::StorageClassSpecNode> > ();
        break;

      case 143: // type_name
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::TypeNameNode> > ();
        break;

      case 141: // type_qualifier
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::TypeQualifierNode> > ();
        break;

      case 140: // type_specifier
        yylhs.value.emplace< std::shared_ptr<quant_c_ast::TypeSpecNode> > ();
        break;

      case 162: // quantum_op_prefix
        yylhs.value.emplace< std::tuple<bool, int, int> > ();
        break;

      case 161: // quantum_unary_op
        yylhs.value.emplace< std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > ();
        break;

      case 139: // parameter_list
        yylhs.value.emplace< std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > ();
        break;

      case 137: // declaration_list
        yylhs.value.emplace< std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > ();
        break;

      case 128: // argument_expression_list
      case 129: // initializer_list
        yylhs.value.emplace< std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ();
        break;

      case 136: // init_declarator_list
        yylhs.value.emplace< std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > ();
        break;

      case 147: // pointer
        yylhs.value.emplace< std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ();
        break;

      case 163: // quantum_op_postfix
        yylhs.value.emplace< std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > ();
        break;

      case 157: // statement_list
        yylhs.value.emplace< std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > ();
        break;

      case 146: // declaration_specifiers
      case 148: // specifier_qualifier_list
        yylhs.value.emplace< std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ();
        break;

      case 149: // type_qualifier_list
        yylhs.value.emplace< std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > ();
        break;

      case 164: // identifier_list
        yylhs.value.emplace< std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > ();
        break;

      default:
        break;
    }



      // Perform the reduction.
      YY_REDUCE_PRINT (yyn);
#if YY_EXCEPTIONS
      try
#endif // YY_EXCEPTIONS
        {
          switch (yyn)
            {
  case 2:
#line 169 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                     {yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<IdentNode>(yystack_[0].value.as < quant_c_token::IdentifierToken > ().get_value(),
                                              yystack_[0].value.as < quant_c_token::IdentifierToken > ().get_line(),
                                              yystack_[0].value.as < quant_c_token::IdentifierToken > ().get_col()); }
#line 2849 "quant_c_parse.cpp"
    break;

  case 3:
#line 172 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                         { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<IntLitNode>(yystack_[0].value.as < quant_c_token::IntLitToken > ().get_value(),
                                                         yystack_[0].value.as < quant_c_token::IntLitToken > ().get_size(),
                                                         yystack_[0].value.as < quant_c_token::IntLitToken > ().is_signed(),
                                                         yystack_[0].value.as < quant_c_token::IntLitToken > ().get_line(),
                                                         yystack_[0].value.as < quant_c_token::IntLitToken > ().get_col());
                    }
#line 2860 "quant_c_parse.cpp"
    break;

  case 4:
#line 178 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                    { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<FloatLitNode>(yystack_[0].value.as < quant_c_token::FloatLitToken > ().get_value(),
                                                          yystack_[0].value.as < quant_c_token::FloatLitToken > ().get_size(),
                                                          yystack_[0].value.as < quant_c_token::FloatLitToken > ().get_line(),
                                                          yystack_[0].value.as < quant_c_token::FloatLitToken > ().get_col());;
                    }
#line 2870 "quant_c_parse.cpp"
    break;

  case 5:
#line 183 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   {
                     if (yystack_[0].value.as < quant_c_token::BoolLitToken > ().get_value()) {
                        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<TrueNode>(yystack_[0].value.as < quant_c_token::BoolLitToken > ().get_line(), yystack_[0].value.as < quant_c_token::BoolLitToken > ().get_col());
                     } else {
                        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<FalseNode>(yystack_[0].value.as < quant_c_token::BoolLitToken > ().get_line(), yystack_[0].value.as < quant_c_token::BoolLitToken > ().get_col());
                     }
    }
#line 2882 "quant_c_parse.cpp"
    break;

  case 6:
#line 190 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                    {yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<CharLitNode>(yystack_[0].value.as < quant_c_token::CharLitToken > ().get_value(),
                                                   yystack_[0].value.as < quant_c_token::CharLitToken > ().get_line(),
                                                   yystack_[0].value.as < quant_c_token::CharLitToken > ().get_col());
                    }
#line 2891 "quant_c_parse.cpp"
    break;

  case 7:
#line 194 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                         {yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<StrLitNode>(yystack_[0].value.as < quant_c_token::StringLitToken > ().get_value(),
                                                    yystack_[0].value.as < quant_c_token::StringLitToken > ().get_value(false),
                                                    yystack_[0].value.as < quant_c_token::StringLitToken > ().get_line(),
                                                    yystack_[0].value.as < quant_c_token::StringLitToken > ().get_col());
                    }
#line 2901 "quant_c_parse.cpp"
    break;

  case 8:
#line 199 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                             {yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 2907 "quant_c_parse.cpp"
    break;

  case 9:
#line 203 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                   { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 2913 "quant_c_parse.cpp"
    break;

  case 10:
#line 204 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                   {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<IndexExprNode>(yystack_[3].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[3].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[3].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 2921 "quant_c_parse.cpp"
    break;

  case 11:
#line 208 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        auto no_args = std::vector<std::shared_ptr<ExprNode>>();
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<CallExprNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), no_args,
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 2932 "quant_c_parse.cpp"
    break;

  case 12:
#line 215 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<CallExprNode>(yystack_[3].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > (),
                                            yystack_[3].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(),
                                            yystack_[3].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 2942 "quant_c_parse.cpp"
    break;

  case 13:
#line 220 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
          { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 2948 "quant_c_parse.cpp"
    break;

  case 14:
#line 221 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
          { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 2954 "quant_c_parse.cpp"
    break;

  case 15:
#line 222 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    {
        auto op = std::make_shared<UnaryOperatorNode>(Parser::token_type::INC_OP,
                                                true,
                                                yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second);
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<UnaryOpNode>(op, yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                           yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 2966 "quant_c_parse.cpp"
    break;

  case 16:
#line 229 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    {
        auto op = std::make_shared<UnaryOperatorNode>(Parser::token_type::DEC_OP,
                                                true,
                                                yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second);
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<UnaryOpNode>(op, yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                           yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 2978 "quant_c_parse.cpp"
    break;

  case 17:
#line 240 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > () = std::vector<std::shared_ptr<ExprNode>>();
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ());
    }
#line 2987 "quant_c_parse.cpp"
    break;

  case 18:
#line 245 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > () = std::vector<std::shared_ptr<ExprNode>>(yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ());
    }
#line 2996 "quant_c_parse.cpp"
    break;

  case 19:
#line 252 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                             { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3002 "quant_c_parse.cpp"
    break;

  case 20:
#line 253 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                  {
        auto op =
            std::make_shared<UnaryOperatorNode>(Parser::token_type::INC_OP,
                                                false,
                                                yystack_[1].value.as < std::pair<int, int> > ().first, yystack_[1].value.as < std::pair<int, int> > ().second);
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<UnaryOpNode>(op, yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[1].value.as < std::pair<int, int> > ().first, yystack_[1].value.as < std::pair<int, int> > ().second);
    }
#line 3014 "quant_c_parse.cpp"
    break;

  case 21:
#line 260 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                  {
        auto op =
            std::make_shared<UnaryOperatorNode>(Parser::token_type::DEC_OP,
                                                false,
                                                yystack_[1].value.as < std::pair<int, int> > ().first, yystack_[1].value.as < std::pair<int, int> > ().second);
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<UnaryOpNode>(op, yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[1].value.as < std::pair<int, int> > ().first, yystack_[1].value.as < std::pair<int, int> > ().second);
    }
#line 3026 "quant_c_parse.cpp"
    break;

  case 22:
#line 268 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<UnaryOpNode>(yystack_[1].value.as < std::shared_ptr<quant_c_ast::OperatorNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                           yystack_[1].value.as < std::shared_ptr<quant_c_ast::OperatorNode> > ()->get_line(), yystack_[1].value.as < std::shared_ptr<quant_c_ast::OperatorNode> > ()->get_col());
    }
#line 3035 "quant_c_parse.cpp"
    break;

  case 23:
#line 274 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3041 "quant_c_parse.cpp"
    break;

  case 24:
#line 275 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                   { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = ExprNode::NULL_VAL; }
#line 3047 "quant_c_parse.cpp"
    break;

  case 25:
#line 279 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
              {
        yylhs.value.as < std::shared_ptr<quant_c_ast::OperatorNode> > () = std::make_shared<UnaryOperatorNode>('&');
    }
#line 3055 "quant_c_parse.cpp"
    break;

  case 26:
#line 282 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
              {
        yylhs.value.as < std::shared_ptr<quant_c_ast::OperatorNode> > () = std::make_shared<UnaryOperatorNode>('*');
    }
#line 3063 "quant_c_parse.cpp"
    break;

  case 27:
#line 285 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
              {
        yylhs.value.as < std::shared_ptr<quant_c_ast::OperatorNode> > () = std::make_shared<UnaryOperatorNode>('+');
    }
#line 3071 "quant_c_parse.cpp"
    break;

  case 28:
#line 288 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
              {
        yylhs.value.as < std::shared_ptr<quant_c_ast::OperatorNode> > () = std::make_shared<UnaryOperatorNode>('-');
    }
#line 3079 "quant_c_parse.cpp"
    break;

  case 29:
#line 291 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
              {
        yylhs.value.as < std::shared_ptr<quant_c_ast::OperatorNode> > () = std::make_shared<UnaryOperatorNode>('~');
    }
#line 3087 "quant_c_parse.cpp"
    break;

  case 30:
#line 294 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
              {
        yylhs.value.as < std::shared_ptr<quant_c_ast::OperatorNode> > () = std::make_shared<UnaryOperatorNode>('!');
    }
#line 3095 "quant_c_parse.cpp"
    break;

  case 31:
#line 297 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                            {
        // Determine line/col info
        auto isInverted = std::get<0>(yystack_[2].value.as < std::tuple<bool, int, int> > ());
        auto opCode = std::get<0>(yystack_[1].value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > ());
        const int line_index = 1;
        const int col_index = 2;
        int first = std::get<line_index>(yystack_[2].value.as < std::tuple<bool, int, int> > ());
        if (first == -1) { first = std::get<line_index>(yystack_[1].value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > ()); }
        int second = std::get<col_index>(yystack_[2].value.as < std::tuple<bool, int, int> > ());
        if (second == -1) { second = std::get<col_index>(yystack_[1].value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > ()); }


        yylhs.value.as < std::shared_ptr<quant_c_ast::OperatorNode> > () = std::make_shared<QuantumUnaryOperatorNode>(isInverted, opCode, yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > (),
                                                        first, second);
    }
#line 3115 "quant_c_parse.cpp"
    break;

  case 32:
#line 318 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::IDENTITY,
                             yystack_[0].value.as < std::pair<int, int> > ().first,
                             yystack_[0].value.as < std::pair<int, int> > ().second);
    }
#line 3125 "quant_c_parse.cpp"
    break;

  case 33:
#line 324 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::X_GATE,
                             yystack_[0].value.as < std::pair<int, int> > ().first,
                             yystack_[0].value.as < std::pair<int, int> > ().second);
    }
#line 3135 "quant_c_parse.cpp"
    break;

  case 34:
#line 330 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::Y_GATE,
                             yystack_[0].value.as < std::pair<int, int> > ().first,
                             yystack_[0].value.as < std::pair<int, int> > ().second);
    }
#line 3145 "quant_c_parse.cpp"
    break;

  case 35:
#line 336 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::Z_GATE,
                             yystack_[0].value.as < std::pair<int, int> > ().first,
                             yystack_[0].value.as < std::pair<int, int> > ().second);
    }
#line 3155 "quant_c_parse.cpp"
    break;

  case 36:
#line 342 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::HADAMARD,
                             yystack_[0].value.as < std::pair<int, int> > ().first,
                             yystack_[0].value.as < std::pair<int, int> > ().second);
    }
#line 3165 "quant_c_parse.cpp"
    break;

  case 37:
#line 348 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::PHASE,
                             yystack_[3].value.as < std::pair<int, int> > ().first,
                             yystack_[3].value.as < std::pair<int, int> > ().second);
    }
#line 3175 "quant_c_parse.cpp"
    break;

  case 38:
#line 354 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::S_GATE,
                             yystack_[0].value.as < std::pair<int, int> > ().first,
                             yystack_[0].value.as < std::pair<int, int> > ().second);
    }
#line 3185 "quant_c_parse.cpp"
    break;

  case 39:
#line 360 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::T_GATE,
                             yystack_[0].value.as < std::pair<int, int> > ().first,
                             yystack_[0].value.as < std::pair<int, int> > ().second);
    }
#line 3195 "quant_c_parse.cpp"
    break;

  case 40:
#line 366 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::RX,
                             yystack_[3].value.as < std::pair<int, int> > ().first,
                             yystack_[3].value.as < std::pair<int, int> > ().second);
    }
#line 3205 "quant_c_parse.cpp"
    break;

  case 41:
#line 372 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::RY,
                             yystack_[3].value.as < std::pair<int, int> > ().first,
                             yystack_[3].value.as < std::pair<int, int> > ().second);
    }
#line 3215 "quant_c_parse.cpp"
    break;

  case 42:
#line 378 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::RZ,
                             yystack_[3].value.as < std::pair<int, int> > ().first,
                             yystack_[3].value.as < std::pair<int, int> > ().second);
    }
#line 3225 "quant_c_parse.cpp"
    break;

  case 43:
#line 384 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::tuple<quant_c_ast::QuantumUnaryOperatorNode::QuantumUnaryOp, int, int> > () = std::make_tuple(QuantumUnaryOperatorNode::QuantumUnaryOp::MEASURE,
                             yystack_[0].value.as < std::pair<int, int> > ().first,
                             yystack_[0].value.as < std::pair<int, int> > ().second);
    }
#line 3235 "quant_c_parse.cpp"
    break;

  case 44:
#line 392 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
             { yylhs.value.as < std::tuple<bool, int, int> > () = std::make_tuple(false, -1, -1); }
#line 3241 "quant_c_parse.cpp"
    break;

  case 45:
#line 393 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
              { yylhs.value.as < std::tuple<bool, int, int> > () = std::make_tuple(true, yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3247 "quant_c_parse.cpp"
    break;

  case 46:
#line 398 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > () = std::vector<std::shared_ptr<QuantumUnaryPostfixNode>>();
    }
#line 3255 "quant_c_parse.cpp"
    break;

  case 47:
#line 402 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        auto controlList = std::vector<std::shared_ptr<QuantumUnaryPostfixNode>>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > ());
        auto ident = IdentNode(yystack_[2].value.as < quant_c_token::IdentifierToken > ().get_value(),
                               yystack_[2].value.as < quant_c_token::IdentifierToken > ().get_line(),
                               yystack_[2].value.as < quant_c_token::IdentifierToken > ().get_col());
        controlList.insert(controlList.begin(),
                           std::make_shared<QuantumUnaryPostfixNode>(
                                                            ident,
                                                            yystack_[4].value.as < std::pair<int, int> > ().first,
                                                            yystack_[4].value.as < std::pair<int, int> > ().second));
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::QuantumUnaryPostfixNode>> > () = controlList;

    }
#line 3273 "quant_c_parse.cpp"
    break;

  case 48:
#line 418 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                           { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3279 "quant_c_parse.cpp"
    break;

  case 49:
#line 419 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                            {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<CastNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::TypeNameNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[3].value.as < std::pair<int, int> > ().first, yystack_[3].value.as < std::pair<int, int> > ().second);
    }
#line 3287 "quant_c_parse.cpp"
    break;

  case 50:
#line 425 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                          { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3293 "quant_c_parse.cpp"
    break;

  case 51:
#line 426 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                        {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), '*', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3301 "quant_c_parse.cpp"
    break;

  case 52:
#line 429 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                        {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), '/', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3309 "quant_c_parse.cpp"
    break;

  case 53:
#line 432 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                        {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), '%', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3317 "quant_c_parse.cpp"
    break;

  case 54:
#line 438 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3323 "quant_c_parse.cpp"
    break;

  case 55:
#line 439 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                            {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), '+', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3331 "quant_c_parse.cpp"
    break;

  case 56:
#line 442 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                            {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), '-', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3339 "quant_c_parse.cpp"
    break;

  case 57:
#line 448 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                              { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3345 "quant_c_parse.cpp"
    break;

  case 58:
#line 449 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                       {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), Parser::token_type::LEFT_OP, yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3354 "quant_c_parse.cpp"
    break;

  case 59:
#line 453 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                        {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            Parser::token_type::RIGHT_OP, yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3364 "quant_c_parse.cpp"
    break;

  case 60:
#line 461 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                           { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3370 "quant_c_parse.cpp"
    break;

  case 61:
#line 462 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                     {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), '<', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3378 "quant_c_parse.cpp"
    break;

  case 62:
#line 465 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                     {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), '>', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3386 "quant_c_parse.cpp"
    break;

  case 63:
#line 468 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                       {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), Parser::token_type::LE_OP, yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3395 "quant_c_parse.cpp"
    break;

  case 64:
#line 472 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                       {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), Parser::token_type::GE_OP, yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3404 "quant_c_parse.cpp"
    break;

  case 65:
#line 476 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3410 "quant_c_parse.cpp"
    break;

  case 66:
#line 480 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
      { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[5].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3416 "quant_c_parse.cpp"
    break;

  case 67:
#line 481 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
      { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3422 "quant_c_parse.cpp"
    break;

  case 68:
#line 482 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
      { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3428 "quant_c_parse.cpp"
    break;

  case 69:
#line 486 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3434 "quant_c_parse.cpp"
    break;

  case 70:
#line 487 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                          {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), Parser::token_type::EQ_OP, yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3443 "quant_c_parse.cpp"
    break;

  case 71:
#line 491 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                          {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), Parser::token_type::NE_OP, yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3452 "quant_c_parse.cpp"
    break;

  case 72:
#line 498 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                              { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3458 "quant_c_parse.cpp"
    break;

  case 73:
#line 499 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                 {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), '&', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3466 "quant_c_parse.cpp"
    break;

  case 74:
#line 503 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
      { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[4].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3472 "quant_c_parse.cpp"
    break;

  case 75:
#line 507 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                             { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3478 "quant_c_parse.cpp"
    break;

  case 76:
#line 509 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), '^', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3488 "quant_c_parse.cpp"
    break;

  case 77:
#line 517 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3494 "quant_c_parse.cpp"
    break;

  case 78:
#line 518 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                              {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), '|', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3503 "quant_c_parse.cpp"
    break;

  case 79:
#line 523 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
      { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[4].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3509 "quant_c_parse.cpp"
    break;

  case 80:
#line 527 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3515 "quant_c_parse.cpp"
    break;

  case 81:
#line 528 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                                {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), Parser::token_type::AND_OP, yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3524 "quant_c_parse.cpp"
    break;

  case 82:
#line 535 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3530 "quant_c_parse.cpp"
    break;

  case 83:
#line 536 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                             {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), Parser::token_type::OR_OP, yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3539 "quant_c_parse.cpp"
    break;

  case 84:
#line 543 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                 { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3545 "quant_c_parse.cpp"
    break;

  case 85:
#line 544 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                                          {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<ConditionalExprNode>(yystack_[4].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                                  yystack_[4].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(),
                                                  yystack_[4].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3555 "quant_c_parse.cpp"
    break;

  case 86:
#line 552 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                 { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3561 "quant_c_parse.cpp"
    break;

  case 87:
#line 553 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                                     {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<AsgExprNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[1].value.as < int > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                           yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3570 "quant_c_parse.cpp"
    break;

  case 88:
#line 560 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = (int)'='; }
#line 3576 "quant_c_parse.cpp"
    break;

  case 89:
#line 561 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = Parser::token_type::MUL_ASSIGN; }
#line 3582 "quant_c_parse.cpp"
    break;

  case 90:
#line 562 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = Parser::token_type::DIV_ASSIGN; }
#line 3588 "quant_c_parse.cpp"
    break;

  case 91:
#line 563 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = Parser::token_type::MOD_ASSIGN; }
#line 3594 "quant_c_parse.cpp"
    break;

  case 92:
#line 564 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = Parser::token_type::ADD_ASSIGN; }
#line 3600 "quant_c_parse.cpp"
    break;

  case 93:
#line 565 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = Parser::token_type::SUB_ASSIGN; }
#line 3606 "quant_c_parse.cpp"
    break;

  case 94:
#line 566 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = Parser::token_type::LEFT_ASSIGN; }
#line 3612 "quant_c_parse.cpp"
    break;

  case 95:
#line 567 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = Parser::token_type::RIGHT_ASSIGN; }
#line 3618 "quant_c_parse.cpp"
    break;

  case 96:
#line 568 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = Parser::token_type::AND_ASSIGN; }
#line 3624 "quant_c_parse.cpp"
    break;

  case 97:
#line 569 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = Parser::token_type::XOR_ASSIGN; }
#line 3630 "quant_c_parse.cpp"
    break;

  case 98:
#line 570 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                        { yylhs.value.as < int > () = Parser::token_type::OR_ASSIGN; }
#line 3636 "quant_c_parse.cpp"
    break;

  case 99:
#line 574 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                {yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ();}
#line 3642 "quant_c_parse.cpp"
    break;

  case 100:
#line 576 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<BinaryOpNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), ',', yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(),
                                            yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
    }
#line 3652 "quant_c_parse.cpp"
    break;

  case 101:
#line 584 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                  { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 3658 "quant_c_parse.cpp"
    break;

  case 102:
#line 589 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        auto no_init = std::vector<std::shared_ptr<InitDeclaratorNode>>();
        yylhs.value.as < std::shared_ptr<quant_c_ast::DeclNode> > () = std::make_shared<DeclarationNode>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (),
                                               no_init,
                                               yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_line(),
                                               yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_col());
    }
#line 3670 "quant_c_parse.cpp"
    break;

  case 103:
#line 597 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::DeclNode> > () = std::make_shared<DeclarationNode>(yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (),
                                               yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > (),
                                               yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_line(),
                                               yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_col());
    }
#line 3681 "quant_c_parse.cpp"
    break;

  case 104:
#line 606 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > () = std::vector<std::shared_ptr<TypeNode>>();
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().begin(), yystack_[0].value.as < std::shared_ptr<quant_c_ast::StorageClassSpecNode> > ());
    }
#line 3690 "quant_c_parse.cpp"
    break;

  case 105:
#line 610 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                         {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > () = std::vector<std::shared_ptr<TypeNode>>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().begin(), yystack_[1].value.as < std::shared_ptr<quant_c_ast::StorageClassSpecNode> > ());
    }
#line 3699 "quant_c_parse.cpp"
    break;

  case 106:
#line 614 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                         {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > () = std::vector<std::shared_ptr<TypeNode>>();
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().begin(), yystack_[0].value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > ());
    }
#line 3708 "quant_c_parse.cpp"
    break;

  case 107:
#line 618 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > () = std::vector<std::shared_ptr<TypeNode>>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().begin(), yystack_[1].value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > ());
    }
#line 3717 "quant_c_parse.cpp"
    break;

  case 108:
#line 622 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                         {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > () = std::vector<std::shared_ptr<TypeNode>>();
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().begin(), yystack_[0].value.as < std::shared_ptr<quant_c_ast::TypeQualifierNode> > ());
    }
#line 3726 "quant_c_parse.cpp"
    break;

  case 109:
#line 626 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > () = std::vector<std::shared_ptr<TypeNode>>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().begin(), yystack_[1].value.as < std::shared_ptr<quant_c_ast::TypeQualifierNode> > ());
    }
#line 3735 "quant_c_parse.cpp"
    break;

  case 110:
#line 634 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > () = std::vector<std::shared_ptr<InitDeclaratorNode>>();
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::InitDeclaratorNode> > ());
    }
#line 3744 "quant_c_parse.cpp"
    break;

  case 111:
#line 639 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > () = std::vector<std::shared_ptr<InitDeclaratorNode>>(yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::InitDeclaratorNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::InitDeclaratorNode> > ());
    }
#line 3753 "quant_c_parse.cpp"
    break;

  case 112:
#line 647 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::InitDeclaratorNode> > () = std::make_shared<InitDeclaratorNode>(yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > (),
                                                  yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > ()->get_line(),
                                                  yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > ()->get_col());
    }
#line 3763 "quant_c_parse.cpp"
    break;

  case 113:
#line 653 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::InitDeclaratorNode> > () = std::make_shared<InitDeclaratorNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                                  yystack_[2].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > ()->get_line(),
                                                  yystack_[2].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > ()->get_col());
    }
#line 3773 "quant_c_parse.cpp"
    break;

  case 114:
#line 662 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::StorageClassSpecNode> > () = std::make_shared<TypeDefNode>  (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3779 "quant_c_parse.cpp"
    break;

  case 115:
#line 663 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::StorageClassSpecNode> > () = std::make_shared<ExternNode>   (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3785 "quant_c_parse.cpp"
    break;

  case 116:
#line 664 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::StorageClassSpecNode> > () = std::make_shared<StaticNode>   (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3791 "quant_c_parse.cpp"
    break;

  case 117:
#line 665 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::StorageClassSpecNode> > () = std::make_shared<AutoNode>     (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3797 "quant_c_parse.cpp"
    break;

  case 118:
#line 666 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::StorageClassSpecNode> > () = std::make_shared<RegisterNode> (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3803 "quant_c_parse.cpp"
    break;

  case 119:
#line 667 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
               { yylhs.value.as < std::shared_ptr<quant_c_ast::StorageClassSpecNode> > () = std::make_shared<QuantumNode>  (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3809 "quant_c_parse.cpp"
    break;

  case 120:
#line 671 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<VoidTypeNode>    (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3815 "quant_c_parse.cpp"
    break;

  case 121:
#line 672 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
               { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<BoolTypeNode>    (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3821 "quant_c_parse.cpp"
    break;

  case 122:
#line 673 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<CharTypeNode>    (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3827 "quant_c_parse.cpp"
    break;

  case 123:
#line 674 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<ShortTypeNode>   (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3833 "quant_c_parse.cpp"
    break;

  case 124:
#line 675 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<IntTypeNode>     (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3839 "quant_c_parse.cpp"
    break;

  case 125:
#line 676 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<LongTypeNode>    (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3845 "quant_c_parse.cpp"
    break;

  case 126:
#line 677 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<FloatTypeNode>   (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3851 "quant_c_parse.cpp"
    break;

  case 127:
#line 678 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<DoubleTypeNode>  (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3857 "quant_c_parse.cpp"
    break;

  case 128:
#line 679 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<SignedTypeNode>  (yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3863 "quant_c_parse.cpp"
    break;

  case 129:
#line 680 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<UnsignedTypeNode>(yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3869 "quant_c_parse.cpp"
    break;

  case 130:
#line 681 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = TypeSpecNode::NULL_VAL;
        error("structs & union are not implemented.");
    }
#line 3878 "quant_c_parse.cpp"
    break;

  case 131:
#line 685 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                         {
        yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = TypeSpecNode::NULL_VAL;
        error("enum is not implemented.");
    }
#line 3887 "quant_c_parse.cpp"
    break;

  case 132:
#line 689 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > () = std::make_shared<CustomTypeNode>(yystack_[0].value.as < quant_c_token::TypeNameToken > ().get_value(),
                                              yystack_[0].value.as < quant_c_token::TypeNameToken > ().get_line(),
                                              yystack_[0].value.as < quant_c_token::TypeNameToken > ().get_col());
    }
#line 3897 "quant_c_parse.cpp"
    break;

  case 141:
#line 717 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                  {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > () = std::vector<std::shared_ptr<TypeNode>>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().begin(), yystack_[1].value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > ());
    }
#line 3906 "quant_c_parse.cpp"
    break;

  case 142:
#line 721 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                         {
         yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > () = std::vector<std::shared_ptr<TypeNode>>();
         yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().begin(), yystack_[0].value.as < std::shared_ptr<quant_c_ast::TypeSpecNode> > ());
     }
#line 3915 "quant_c_parse.cpp"
    break;

  case 143:
#line 725 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                  {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > () = std::vector<std::shared_ptr<TypeNode>>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().begin(), yystack_[1].value.as < std::shared_ptr<quant_c_ast::TypeQualifierNode> > ());
    }
#line 3924 "quant_c_parse.cpp"
    break;

  case 144:
#line 729 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                         {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > () = std::vector<std::shared_ptr<TypeNode>>();
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().begin(), yystack_[0].value.as < std::shared_ptr<quant_c_ast::TypeQualifierNode> > ());
    }
#line 3933 "quant_c_parse.cpp"
    break;

  case 157:
#line 763 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                    { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeQualifierNode> > () = std::make_shared<ConstNode>(yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3939 "quant_c_parse.cpp"
    break;

  case 158:
#line 764 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                    { yylhs.value.as < std::shared_ptr<quant_c_ast::TypeQualifierNode> > () = std::make_shared<VolatileNode>(yystack_[0].value.as < std::pair<int, int> > ().first, yystack_[0].value.as < std::pair<int, int> > ().second); }
#line 3945 "quant_c_parse.cpp"
    break;

  case 159:
#line 768 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > () = std::make_shared<DeclaratorNode>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (),
                                              yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().front()->get_line(),
                                              yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().front()->get_col());
    }
#line 3955 "quant_c_parse.cpp"
    break;

  case 160:
#line 773 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                            {
        auto non_pointer_type = std::vector<std::shared_ptr<PointerNode>>();
        yylhs.value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > () = std::make_shared<DeclaratorNode>(non_pointer_type, yystack_[0].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (),
                                              yystack_[0].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ()->get_line(),
                                              yystack_[0].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ()->get_col());
    }
#line 3966 "quant_c_parse.cpp"
    break;

  case 161:
#line 782 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                     {
            yylhs.value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > () = std::make_shared<IdentifierDeclaratorNode>(yystack_[0].value.as < quant_c_token::IdentifierToken > ().get_value(),
                                             yystack_[0].value.as < quant_c_token::IdentifierToken > ().get_line(),
                                             yystack_[0].value.as < quant_c_token::IdentifierToken > ().get_col());
    }
#line 3976 "quant_c_parse.cpp"
    break;

  case 162:
#line 788 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                   {
            yylhs.value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > () = std::make_shared<IdentifierDeclaratorNode>(yystack_[0].value.as < quant_c_token::IdentifierToken > ().get_value(),
                                             yystack_[0].value.as < quant_c_token::IdentifierToken > ().get_line(),
                                             yystack_[0].value.as < quant_c_token::IdentifierToken > ().get_col());
    }
#line 3986 "quant_c_parse.cpp"
    break;

  case 163:
#line 793 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                             {
        yylhs.value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > () = std::make_shared<ParensDeclaratorNode>(yystack_[1].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > (), yystack_[2].value.as < std::pair<int, int> > ().first, yystack_[2].value.as < std::pair<int, int> > ().second);
    }
#line 3994 "quant_c_parse.cpp"
    break;

  case 164:
#line 796 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                        {
        yylhs.value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > () = std::make_shared<ArrayDeclaratorNode>(yystack_[3].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (), yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                                   yystack_[3].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ()->get_line(),
                                                   yystack_[3].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ()->get_col());
    }
#line 4004 "quant_c_parse.cpp"
    break;

  case 165:
#line 801 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > () = std::make_shared<ArrayDeclaratorNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (), ExprNode::NULL_VAL,
                                                   yystack_[2].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ()->get_line(),
                                                   yystack_[2].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ()->get_col());
    }
#line 4014 "quant_c_parse.cpp"
    break;

  case 166:
#line 806 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                        {
        yylhs.value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > () = std::make_shared<FunctionDeclaratorNode>(yystack_[3].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (), yystack_[1].value.as < std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > ().first,
                                                      yystack_[1].value.as < std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > ().second,
                                                      yystack_[3].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ()->get_line(),
                                                      yystack_[3].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ()->get_col());
    }
#line 4025 "quant_c_parse.cpp"
    break;

  case 167:
#line 812 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > () = nullptr;
        error("Function definitions using initializer lists (K&R-style) is currently not implemented");
    }
#line 4034 "quant_c_parse.cpp"
    break;

  case 168:
#line 816 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > () = std::make_shared<FunctionDeclaratorNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > (),
                                                      FunctionDeclaratorNode::
                                                      ArgumentList(),
                                                      false,
                                                      yystack_[2].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ()->get_line(),
                                                      yystack_[2].value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > ()->get_col());
    }
#line 4047 "quant_c_parse.cpp"
    break;

  case 169:
#line 824 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                   {
        yylhs.value.as < std::shared_ptr<quant_c_ast::DirectDeclaratorNode> > () = std::make_shared<DestructureDeclaratorNode>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > (),
                                                         yystack_[3].value.as < std::pair<int, int> > ().first,
                                                         yystack_[3].value.as < std::pair<int, int> > ().second);
    }
#line 4057 "quant_c_parse.cpp"
    break;

  case 170:
#line 833 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > () = std::vector<std::shared_ptr<PointerNode>>();
        auto pointer = std::make_shared<PointerNode>(PointerNode::TypeQualifierList(),
                                      yystack_[0].value.as < std::pair<int, int> > ().first,
                                      yystack_[0].value.as < std::pair<int, int> > ().second);
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().begin(), pointer);
    }
#line 4069 "quant_c_parse.cpp"
    break;

  case 171:
#line 841 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > () = std::vector<std::shared_ptr<PointerNode>>();
        auto pointer = std::make_shared<PointerNode>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > (),
                                                     yystack_[1].value.as < std::pair<int, int> > ().first,
                                                     yystack_[1].value.as < std::pair<int, int> > ().second);
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().begin(), pointer);
    }
#line 4081 "quant_c_parse.cpp"
    break;

  case 172:
#line 849 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > () = std::vector<std::shared_ptr<PointerNode>>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ());
        auto pointer = std::make_shared<PointerNode>(PointerNode::TypeQualifierList(),
                                      yystack_[1].value.as < std::pair<int, int> > ().first,
                                      yystack_[1].value.as < std::pair<int, int> > ().second);
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().begin(), pointer);
    }
#line 4093 "quant_c_parse.cpp"
    break;

  case 173:
#line 857 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > () = std::vector<std::shared_ptr<PointerNode>>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ());
        auto pointer = std::make_shared<PointerNode>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > (),
                                                     yystack_[2].value.as < std::pair<int, int> > ().first,
                                                     yystack_[2].value.as < std::pair<int, int> > ().second);
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().insert(yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().begin(), pointer);
    }
#line 4105 "quant_c_parse.cpp"
    break;

  case 174:
#line 867 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                         {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > () = std::vector<std::shared_ptr<TypeQualifierNode>>();
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::TypeQualifierNode> > ());
    }
#line 4114 "quant_c_parse.cpp"
    break;

  case 175:
#line 871 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                             {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > () = std::vector<std::shared_ptr<TypeQualifierNode>>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::TypeQualifierNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::TypeQualifierNode> > ());
    }
#line 4123 "quant_c_parse.cpp"
    break;

  case 176:
#line 880 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > () = std::make_pair(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > (), false);
    }
#line 4131 "quant_c_parse.cpp"
    break;

  case 177:
#line 883 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                      {
        yylhs.value.as < std::pair<std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>>, bool> > () = std::make_pair(yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > (), true);
    }
#line 4139 "quant_c_parse.cpp"
    break;

  case 178:
#line 889 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > () = std::vector<std::shared_ptr<ArgDeclNode>>();
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::ArgDeclNode> > ());
    }
#line 4148 "quant_c_parse.cpp"
    break;

  case 179:
#line 893 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                   {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > () = std::vector<std::shared_ptr<ArgDeclNode>>(yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ArgDeclNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::ArgDeclNode> > ());
    }
#line 4157 "quant_c_parse.cpp"
    break;

  case 180:
#line 900 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                            {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ArgDeclNode> > () = std::make_shared<NamedArgDeclNode>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > (),
                                                yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_line(),
                                                yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_col());
    }
#line 4167 "quant_c_parse.cpp"
    break;

  case 181:
#line 905 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                     {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ArgDeclNode> > () = std::make_shared<AbstractArgDeclNode>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > (),
                                                yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_line(),
                                                yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_col());
    }
#line 4177 "quant_c_parse.cpp"
    break;

  case 182:
#line 910 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                 {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ArgDeclNode> > () = std::make_shared<TypeArgDeclNode>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (),
                                                yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_line(),
                                                yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_col());
    }
#line 4187 "quant_c_parse.cpp"
    break;

  case 183:
#line 918 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                     {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > () = std::vector<std::shared_ptr<quant_c_token::IdentifierToken>>();
        auto idPtr = std::make_shared<quant_c_token::IdentifierToken>(yystack_[0].value.as < quant_c_token::IdentifierToken > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > ().push_back(idPtr);
    }
#line 4197 "quant_c_parse.cpp"
    break;

  case 184:
#line 923 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                         {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > () = std::vector<std::shared_ptr<quant_c_token::IdentifierToken>>(yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > ());
        auto idPtr = std::make_shared<quant_c_token::IdentifierToken>(yystack_[0].value.as < quant_c_token::IdentifierToken > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_token::IdentifierToken>> > ().push_back(idPtr);
    }
#line 4207 "quant_c_parse.cpp"
    break;

  case 185:
#line 931 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                   {
        auto frontElement = yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front();
        yylhs.value.as < std::shared_ptr<quant_c_ast::TypeNameNode> > () = std::make_shared<TypeNameNode>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (),
                                            AbstractDeclaratorNode::NULL_VAL,
                                            frontElement->get_line(), frontElement->get_col());
    }
#line 4218 "quant_c_parse.cpp"
    break;

  case 186:
#line 937 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                       {
        auto frontElement = yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front();
        yylhs.value.as < std::shared_ptr<quant_c_ast::TypeNameNode> > () = std::make_shared<TypeNameNode>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > (),
                                            frontElement->get_line(),
                                            frontElement->get_col());
    }
#line 4229 "quant_c_parse.cpp"
    break;

  case 187:
#line 946 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                  {
        // TODO: create NULL_VAL for direct direct_abstract_declarator
        auto frontElement = yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().front();
        yylhs.value.as < std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > () = std::make_shared<AbstractDeclaratorNode>(yystack_[0].value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > (),
                                        DirectAbstractDeclaratorNode::NULL_VAL,
                                                      frontElement->get_line(),
                                                      frontElement->get_col());
    }
#line 4242 "quant_c_parse.cpp"
    break;

  case 188:
#line 954 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                     {
        auto emptyPointer =
                    std::vector<std::shared_ptr<quant_c_ast::PointerNode>>();
        yylhs.value.as < std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > () = std::make_shared<AbstractDeclaratorNode>(emptyPointer, yystack_[0].value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > (),
                                                      yystack_[0].value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > ()->get_line(),
                                                      yystack_[0].value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > ()->get_col());
    }
#line 4254 "quant_c_parse.cpp"
    break;

  case 189:
#line 961 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                             {
        auto frontElement = yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > ().front();
        yylhs.value.as < std::shared_ptr<quant_c_ast::AbstractDeclaratorNode> > () = std::make_shared<AbstractDeclaratorNode>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::PointerNode>> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > (),
                                                      frontElement->get_line(),
                                                      frontElement->get_col());
    }
#line 4265 "quant_c_parse.cpp"
    break;

  case 190:
#line 971 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                { yylhs.value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > () = DirectAbstractDeclaratorNode::NULL_VAL; }
#line 4271 "quant_c_parse.cpp"
    break;

  case 191:
#line 972 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                    { yylhs.value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > () = DirectAbstractDeclaratorNode::NULL_VAL; }
#line 4277 "quant_c_parse.cpp"
    break;

  case 192:
#line 974 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                { yylhs.value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > () = DirectAbstractDeclaratorNode::NULL_VAL; }
#line 4283 "quant_c_parse.cpp"
    break;

  case 193:
#line 976 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                { yylhs.value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > () = DirectAbstractDeclaratorNode::NULL_VAL; }
#line 4289 "quant_c_parse.cpp"
    break;

  case 194:
#line 978 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                { yylhs.value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > () = DirectAbstractDeclaratorNode::NULL_VAL; }
#line 4295 "quant_c_parse.cpp"
    break;

  case 195:
#line 980 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                { yylhs.value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > () = DirectAbstractDeclaratorNode::NULL_VAL; }
#line 4301 "quant_c_parse.cpp"
    break;

  case 196:
#line 982 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                { yylhs.value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > () = DirectAbstractDeclaratorNode::NULL_VAL; }
#line 4307 "quant_c_parse.cpp"
    break;

  case 197:
#line 984 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                { yylhs.value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > () = DirectAbstractDeclaratorNode::NULL_VAL; }
#line 4313 "quant_c_parse.cpp"
    break;

  case 198:
#line 986 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                { yylhs.value.as < std::shared_ptr<quant_c_ast::DirectAbstractDeclaratorNode> > () = DirectAbstractDeclaratorNode::NULL_VAL; }
#line 4319 "quant_c_parse.cpp"
    break;

  case 199:
#line 990 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                       { yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (); }
#line 4325 "quant_c_parse.cpp"
    break;

  case 200:
#line 992 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<InitializerListNode>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > (),
                                                 yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ().front()->get_line(),
                                                 yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ().front()->get_col());
    }
#line 4335 "quant_c_parse.cpp"
    break;

  case 201:
#line 998 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::ExprNode> > () = std::make_shared<InitializerListNode>(yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > (),
                                                 yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ().front()->get_line(),
                                                 yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ().front()->get_col());
    }
#line 4345 "quant_c_parse.cpp"
    break;

  case 202:
#line 1007 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > () = std::vector<std::shared_ptr<ExprNode>>();
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ());
    }
#line 4354 "quant_c_parse.cpp"
    break;

  case 203:
#line 1012 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
    {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > () = std::vector<std::shared_ptr<ExprNode>>(yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::ExprNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ());
    }
#line 4363 "quant_c_parse.cpp"
    break;

  case 204:
#line 1019 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                 { yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (); }
#line 4369 "quant_c_parse.cpp"
    break;

  case 205:
#line 1020 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                 { yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::BlockNode> > (); }
#line 4375 "quant_c_parse.cpp"
    break;

  case 206:
#line 1021 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                 { yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (); }
#line 4381 "quant_c_parse.cpp"
    break;

  case 207:
#line 1022 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                 { yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (); }
#line 4387 "quant_c_parse.cpp"
    break;

  case 208:
#line 1023 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                 { yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (); }
#line 4393 "quant_c_parse.cpp"
    break;

  case 209:
#line 1024 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                 { yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (); }
#line 4399 "quant_c_parse.cpp"
    break;

  case 210:
#line 1028 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                   {
        auto label = IdentNode(yystack_[2].value.as < quant_c_token::IdentifierToken > ().get_value(), yystack_[2].value.as < quant_c_token::IdentifierToken > ().get_line(), yystack_[2].value.as < quant_c_token::IdentifierToken > ().get_col());
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<LabelStmtNode>(label, yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (),
                                             yystack_[2].value.as < quant_c_token::IdentifierToken > ().get_line(), yystack_[2].value.as < quant_c_token::IdentifierToken > ().get_col());
    }
#line 4409 "quant_c_parse.cpp"
    break;

  case 211:
#line 1033 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                 {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<CaseStmtNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (),
                                            yystack_[3].value.as < std::pair<int, int> > ().first, yystack_[3].value.as < std::pair<int, int> > ().second);
    }
#line 4418 "quant_c_parse.cpp"
    break;

  case 212:
#line 1037 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                {}
#line 4424 "quant_c_parse.cpp"
    break;

  case 213:
#line 1037 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                   {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<CaseStmtNode>(yystack_[1].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (),
                                            yystack_[3].value.as < std::pair<int, int> > ().first, yystack_[3].value.as < std::pair<int, int> > ().second);
    }
#line 4433 "quant_c_parse.cpp"
    break;

  case 214:
#line 1044 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                   { yylhs.value.as < std::shared_ptr<quant_c_ast::BlockNode> > () = BlockNode::NULL_VAL; }
#line 4439 "quant_c_parse.cpp"
    break;

  case 215:
#line 1045 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                   {
        yylhs.value.as < std::shared_ptr<quant_c_ast::BlockNode> > () = std::make_shared<BlockNode>(std::vector<std::shared_ptr<DeclNode>>(), yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > (), yystack_[2].value.as < std::pair<int, int> > ().first, yystack_[2].value.as < std::pair<int, int> > ().second);
    }
#line 4447 "quant_c_parse.cpp"
    break;

  case 216:
#line 1048 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                   {
        yylhs.value.as < std::shared_ptr<quant_c_ast::BlockNode> > () = std::make_shared<BlockNode>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > (), std::vector<std::shared_ptr<StmtNode>>(), yystack_[2].value.as < std::pair<int, int> > ().first, yystack_[2].value.as < std::pair<int, int> > ().second);
    }
#line 4455 "quant_c_parse.cpp"
    break;

  case 217:
#line 1051 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                   {
        yylhs.value.as < std::shared_ptr<quant_c_ast::BlockNode> > () = std::make_shared<BlockNode>(yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > (), yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > (), yystack_[3].value.as < std::pair<int, int> > ().first, yystack_[3].value.as < std::pair<int, int> > ().second);
    }
#line 4463 "quant_c_parse.cpp"
    break;

  case 218:
#line 1057 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                      {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > () = std::vector<std::shared_ptr<DeclNode>>();
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclNode> > ());
    }
#line 4472 "quant_c_parse.cpp"
    break;

  case 219:
#line 1061 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                        {
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > () = std::vector<std::shared_ptr<DeclNode>>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::DeclNode>> > ().push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclNode> > ());
    }
#line 4481 "quant_c_parse.cpp"
    break;

  case 220:
#line 1068 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                    {
        auto new_stmt_list = std::vector<std::shared_ptr<StmtNode>>();
        new_stmt_list.push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > () = new_stmt_list;
    }
#line 4491 "quant_c_parse.cpp"
    break;

  case 221:
#line 1073 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                   {
        auto new_stmt_list = std::vector<std::shared_ptr<StmtNode>>(yystack_[1].value.as < std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > ());
        new_stmt_list.push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > ());
        yylhs.value.as < std::vector<std::shared_ptr<quant_c_ast::StmtNode>> > () = new_stmt_list;
    }
#line 4501 "quant_c_parse.cpp"
    break;

  case 222:
#line 1081 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                         { yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = StmtNode::NULL_VAL; }
#line 4507 "quant_c_parse.cpp"
    break;

  case 223:
#line 1082 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                         {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<ExprStmtNode>(yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_line(), yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > ()->get_col());
      }
#line 4515 "quant_c_parse.cpp"
    break;

  case 224:
#line 1088 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                          {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<IfThenNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (), StmtNode::NULL_VAL,
                                     yystack_[4].value.as < std::pair<int, int> > ().first, yystack_[4].value.as < std::pair<int, int> > ().second);
    }
#line 4524 "quant_c_parse.cpp"
    break;

  case 225:
#line 1092 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                         {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<IfThenNode>(yystack_[4].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (),
                                     yystack_[6].value.as < std::pair<int, int> > ().first, yystack_[6].value.as < std::pair<int, int> > ().second);
    }
#line 4533 "quant_c_parse.cpp"
    break;

  case 226:
#line 1096 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                              {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<SwitchNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (), yystack_[4].value.as < std::pair<int, int> > ().first, yystack_[4].value.as < std::pair<int, int> > ().second);
    }
#line 4541 "quant_c_parse.cpp"
    break;

  case 227:
#line 1102 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                             {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<WhileNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (), false, yystack_[4].value.as < std::pair<int, int> > ().first, yystack_[4].value.as < std::pair<int, int> > ().second);
    }
#line 4549 "quant_c_parse.cpp"
    break;

  case 228:
#line 1105 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                    {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<WhileNode>(yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[5].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (), true, yystack_[6].value.as < std::pair<int, int> > ().first, yystack_[6].value.as < std::pair<int, int> > ().second);
    }
#line 4557 "quant_c_parse.cpp"
    break;

  case 229:
#line 1108 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                                          {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<ForNode>(yystack_[3].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (), ExprNode::NULL_VAL, yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (),
                                  yystack_[5].value.as < std::pair<int, int> > ().first, yystack_[5].value.as < std::pair<int, int> > ().second);
    }
#line 4566 "quant_c_parse.cpp"
    break;

  case 230:
#line 1112 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                                                     {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<ForNode>(yystack_[4].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (), yystack_[3].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (), yystack_[2].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::StmtNode> > (),
                                  yystack_[6].value.as < std::pair<int, int> > ().first, yystack_[6].value.as < std::pair<int, int> > ().second);
    }
#line 4575 "quant_c_parse.cpp"
    break;

  case 231:
#line 1119 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                              {
        auto label = std::make_shared<IdentNode>(yystack_[1].value.as < quant_c_token::IdentifierToken > ().get_value(), yystack_[1].value.as < quant_c_token::IdentifierToken > ().get_line(), yystack_[1].value.as < quant_c_token::IdentifierToken > ().get_col());
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<GotoNode>(label, yystack_[2].value.as < std::pair<int, int> > ().first, yystack_[2].value.as < std::pair<int, int> > ().second);
    }
#line 4584 "quant_c_parse.cpp"
    break;

  case 232:
#line 1123 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                       { yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<ContinueNode>(yystack_[1].value.as < std::pair<int, int> > ().first, yystack_[1].value.as < std::pair<int, int> > ().second); }
#line 4590 "quant_c_parse.cpp"
    break;

  case 233:
#line 1124 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                       { yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<BreakNode>(yystack_[1].value.as < std::pair<int, int> > ().first, yystack_[1].value.as < std::pair<int, int> > ().second); }
#line 4596 "quant_c_parse.cpp"
    break;

  case 234:
#line 1125 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                       {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<ReturnNode>(ExprNode::NULL_VAL,
                                          yystack_[1].value.as < std::pair<int, int> > ().first, yystack_[1].value.as < std::pair<int, int> > ().second); }
#line 4604 "quant_c_parse.cpp"
    break;

  case 235:
#line 1128 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                 {
        yylhs.value.as < std::shared_ptr<quant_c_ast::StmtNode> > () = std::make_shared<ReturnNode>(yystack_[1].value.as < std::shared_ptr<quant_c_ast::ExprNode> > (),
                                          yystack_[2].value.as < std::pair<int, int> > ().first, yystack_[2].value.as < std::pair<int, int> > ().second); }
#line 4612 "quant_c_parse.cpp"
    break;

  case 236:
#line 1134 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                  {
        prog.declList.push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclNode> > ());
        prog.linenum = yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclNode> > ()->get_line();
        prog.colnum =  yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclNode> > ()->get_col();
    }
#line 4622 "quant_c_parse.cpp"
    break;

  case 237:
#line 1139 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                {
        // Note: first token should already have decls in program
        prog.declList.push_back(yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclNode> > ());
    }
#line 4631 "quant_c_parse.cpp"
    break;

  case 238:
#line 1146 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                              { yylhs.value.as < std::shared_ptr<quant_c_ast::DeclNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::FuncDefNode> > (); }
#line 4637 "quant_c_parse.cpp"
    break;

  case 239:
#line 1147 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                              { yylhs.value.as < std::shared_ptr<quant_c_ast::DeclNode> > () = yystack_[0].value.as < std::shared_ptr<quant_c_ast::DeclNode> > (); }
#line 4643 "quant_c_parse.cpp"
    break;

  case 240:
#line 1151 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                                                {
        // K&R-style (initializer list) function decl;
        yylhs.value.as < std::shared_ptr<quant_c_ast::FuncDefNode> > () = nullptr;
        error("Function definitions using initializer lists (K&R-style) is currently not implemented");
    }
#line 4653 "quant_c_parse.cpp"
    break;

  case 241:
#line 1156 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                               {
        // ANSI-style (parameter type list) function decl
        yylhs.value.as < std::shared_ptr<quant_c_ast::FuncDefNode> > () = std::make_shared<FuncDefNode>(yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > (), yystack_[1].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::BlockNode> > (),
                                            yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_line(),
                                            yystack_[2].value.as < std::vector<std::shared_ptr<quant_c_ast::TypeNode>> > ().front()->get_col());
    }
#line 4664 "quant_c_parse.cpp"
    break;

  case 242:
#line 1162 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                                         {
        // K&R-style (initializer list) function decl
        // with default return value of int
        yylhs.value.as < std::shared_ptr<quant_c_ast::FuncDefNode> > () = nullptr;
        error("Function definitions using initializer lists (K&R-style) is currently not implemented");
    }
#line 4675 "quant_c_parse.cpp"
    break;

  case 243:
#line 1168 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
                                        {
        // ANSI-style (parameter type list) function decl
        // with default return value of int
        auto default_type_list = FuncDefNode::DeclSpecifierList();
        auto default_type = std::make_shared<IntTypeNode>(yystack_[1].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > ()->get_line(),
                                                          yystack_[1].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > ()->get_col());
        default_type_list.push_back(default_type);
        yylhs.value.as < std::shared_ptr<quant_c_ast::FuncDefNode> > () = std::make_shared<FuncDefNode>(default_type_list, yystack_[1].value.as < std::shared_ptr<quant_c_ast::DeclaratorNode> > (), yystack_[0].value.as < std::shared_ptr<quant_c_ast::BlockNode> > (),
                                            yystack_[0].value.as < std::shared_ptr<quant_c_ast::BlockNode> > ()->get_line(),
                                            yystack_[0].value.as < std::shared_ptr<quant_c_ast::BlockNode> > ()->get_col());
    }
#line 4691 "quant_c_parse.cpp"
    break;


#line 4695 "quant_c_parse.cpp"

            default:
              break;
            }
        }
#if YY_EXCEPTIONS
      catch (const syntax_error& yyexc)
        {
          YYCDEBUG << "Caught exception: " << yyexc.what() << '\n';
          error (yyexc);
          YYERROR;
        }
#endif // YY_EXCEPTIONS
      YY_SYMBOL_PRINT ("-> $$ =", yylhs);
      yypop_ (yylen);
      yylen = 0;
      YY_STACK_PRINT ();

      // Shift the result of the reduction.
      yypush_ (YY_NULLPTR, YY_MOVE (yylhs));
    }
    goto yynewstate;


  /*--------------------------------------.
  | yyerrlab -- here on detecting error.  |
  `--------------------------------------*/
  yyerrlab:
    // If not already recovering from an error, report this error.
    if (!yyerrstatus_)
      {
        ++yynerrs_;
        error (yysyntax_error_ (yystack_[0].state, yyla));
      }


    if (yyerrstatus_ == 3)
      {
        /* If just tried and failed to reuse lookahead token after an
           error, discard it.  */

        // Return failure if at end of input.
        if (yyla.type_get () == yyeof_)
          YYABORT;
        else if (!yyla.empty ())
          {
            yy_destroy_ ("Error: discarding", yyla);
            yyla.clear ();
          }
      }

    // Else will try to reuse lookahead token after shifting the error token.
    goto yyerrlab1;


  /*---------------------------------------------------.
  | yyerrorlab -- error raised explicitly by YYERROR.  |
  `---------------------------------------------------*/
  yyerrorlab:
    /* Pacify compilers when the user code never invokes YYERROR and
       the label yyerrorlab therefore never appears in user code.  */
    if (false)
      YYERROR;

    /* Do not reclaim the symbols of the rule whose action triggered
       this YYERROR.  */
    yypop_ (yylen);
    yylen = 0;
    goto yyerrlab1;


  /*-------------------------------------------------------------.
  | yyerrlab1 -- common code for both syntax error and YYERROR.  |
  `-------------------------------------------------------------*/
  yyerrlab1:
    yyerrstatus_ = 3;   // Each real token shifted decrements this.
    {
      stack_symbol_type error_token;
      for (;;)
        {
          yyn = yypact_[+yystack_[0].state];
          if (!yy_pact_value_is_default_ (yyn))
            {
              yyn += yy_error_token_;
              if (0 <= yyn && yyn <= yylast_ && yycheck_[yyn] == yy_error_token_)
                {
                  yyn = yytable_[yyn];
                  if (0 < yyn)
                    break;
                }
            }

          // Pop the current state because it cannot handle the error token.
          if (yystack_.size () == 1)
            YYABORT;

          yy_destroy_ ("Error: popping", yystack_[0]);
          yypop_ ();
          YY_STACK_PRINT ();
        }


      // Shift the error token.
      error_token.state = state_type (yyn);
      yypush_ ("Shifting", YY_MOVE (error_token));
    }
    goto yynewstate;


  /*-------------------------------------.
  | yyacceptlab -- YYACCEPT comes here.  |
  `-------------------------------------*/
  yyacceptlab:
    yyresult = 0;
    goto yyreturn;


  /*-----------------------------------.
  | yyabortlab -- YYABORT comes here.  |
  `-----------------------------------*/
  yyabortlab:
    yyresult = 1;
    goto yyreturn;


  /*-----------------------------------------------------.
  | yyreturn -- parsing is finished, return the result.  |
  `-----------------------------------------------------*/
  yyreturn:
    if (!yyla.empty ())
      yy_destroy_ ("Cleanup: discarding lookahead", yyla);

    /* Do not reclaim the symbols of the rule whose action triggered
       this YYABORT or YYACCEPT.  */
    yypop_ (yylen);
    while (1 < yystack_.size ())
      {
        yy_destroy_ ("Cleanup: popping", yystack_[0]);
        yypop_ ();
      }

    return yyresult;
  }
#if YY_EXCEPTIONS
    catch (...)
      {
        YYCDEBUG << "Exception caught: cleaning lookahead and stack\n";
        // Do not try to display the values of the reclaimed symbols,
        // as their printers might throw an exception.
        if (!yyla.empty ())
          yy_destroy_ (YY_NULLPTR, yyla);

        while (1 < yystack_.size ())
          {
            yy_destroy_ (YY_NULLPTR, yystack_[0]);
            yypop_ ();
          }
        throw;
      }
#endif // YY_EXCEPTIONS
  }

  void
  Parser::error (const syntax_error& yyexc)
  {
    error (yyexc.what ());
  }

  // Generate an error message.
  std::string
  Parser::yysyntax_error_ (state_type yystate, const symbol_type& yyla) const
  {
    // Number of reported tokens (one for the "unexpected", one per
    // "expected").
    std::ptrdiff_t yycount = 0;
    // Its maximum.
    enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
    // Arguments of yyformat.
    char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];

    /* There are many possibilities here to consider:
       - If this state is a consistent state with a default action, then
         the only way this function was invoked is if the default action
         is an error action.  In that case, don't check for expected
         tokens because there are none.
       - The only way there can be no lookahead present (in yyla) is
         if this state is a consistent state with a default action.
         Thus, detecting the absence of a lookahead is sufficient to
         determine that there is no unexpected or expected token to
         report.  In that case, just report a simple "syntax error".
       - Don't assume there isn't a lookahead just because this state is
         a consistent state with a default action.  There might have
         been a previous inconsistent state, consistent state with a
         non-default action, or user semantic action that manipulated
         yyla.  (However, yyla is currently not documented for users.)
       - Of course, the expected token list depends on states to have
         correct lookahead information, and it depends on the parser not
         to perform extra reductions after fetching a lookahead from the
         scanner and before detecting a syntax error.  Thus, state merging
         (from LALR or IELR) and default reductions corrupt the expected
         token list.  However, the list is correct for canonical LR with
         one exception: it will still contain any token that will not be
         accepted due to an error action in a later state.
    */
    if (!yyla.empty ())
      {
        symbol_number_type yytoken = yyla.type_get ();
        yyarg[yycount++] = yytname_[yytoken];

        int yyn = yypact_[+yystate];
        if (!yy_pact_value_is_default_ (yyn))
          {
            /* Start YYX at -YYN if negative to avoid negative indexes in
               YYCHECK.  In other words, skip the first -YYN actions for
               this state because they are default actions.  */
            int yyxbegin = yyn < 0 ? -yyn : 0;
            // Stay within bounds of both yycheck and yytname.
            int yychecklim = yylast_ - yyn + 1;
            int yyxend = yychecklim < yyntokens_ ? yychecklim : yyntokens_;
            for (int yyx = yyxbegin; yyx < yyxend; ++yyx)
              if (yycheck_[yyx + yyn] == yyx && yyx != yy_error_token_
                  && !yy_table_value_is_error_ (yytable_[yyx + yyn]))
                {
                  if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                    {
                      yycount = 1;
                      break;
                    }
                  else
                    yyarg[yycount++] = yytname_[yyx];
                }
          }
      }

    char const* yyformat = YY_NULLPTR;
    switch (yycount)
      {
#define YYCASE_(N, S)                         \
        case N:                               \
          yyformat = S;                       \
        break
      default: // Avoid compiler warnings.
        YYCASE_ (0, YY_("syntax error"));
        YYCASE_ (1, YY_("syntax error, unexpected %s"));
        YYCASE_ (2, YY_("syntax error, unexpected %s, expecting %s"));
        YYCASE_ (3, YY_("syntax error, unexpected %s, expecting %s or %s"));
        YYCASE_ (4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
        YYCASE_ (5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
      }

    std::string yyres;
    // Argument number.
    std::ptrdiff_t yyi = 0;
    for (char const* yyp = yyformat; *yyp; ++yyp)
      if (yyp[0] == '%' && yyp[1] == 's' && yyi < yycount)
        {
          yyres += yytnamerr_ (yyarg[yyi++]);
          ++yyp;
        }
      else
        yyres += *yyp;
    return yyres;
  }


  const short Parser::yypact_ninf_ = -252;

  const signed char Parser::yytable_ninf_ = -1;

  const short
  Parser::yypact_[] =
  {
    1148,  -252,  -252,   152,    32,     6,  -252,  -252,  -252,    16,
    -252,  -252,  -252,  -252,  -252,  -252,  -252,  -252,  -252,  -252,
    -252,  -252,  -252,  -252,    12,  -252,  -252,  -252,  1307,   -18,
    -252,  1422,  1422,  1422,    91,   199,  -252,  -252,    20,  -252,
    1073,    16,    31,  -252,  -252,  -252,     6,    79,    78,   119,
     313,  -252,  -252,  1307,    91,  -252,  1184,   740,  -252,  -252,
    -252,  -252,  1265,  -252,   171,   -18,   108,  1024,  -252,  -252,
    -252,  -252,  -252,  -252,    36,   119,   109,    65,  -252,   155,
    -252,  -252,  -252,  -252,  -252,   960,   960,  -252,  -252,   487,
    -252,  -252,  -252,  -252,  -252,  -252,  1012,   161,   243,   245,
     246,   655,   248,   263,   207,   257,   762,  1023,  -252,   183,
    -252,    95,   304,  -252,   196,   201,   237,    -2,  -252,   242,
     231,   239,   226,   273,    18,  -252,  -252,   400,  -252,  -252,
    -252,  -252,  -252,  -252,  -252,   533,  1012,   324,  -252,  -252,
     258,  -252,  -252,   259,   262,   100,   -14,  -252,  -252,  -252,
    -252,   260,   809,  1307,  -252,  -252,   152,  1024,  1024,  1024,
     169,  1463,  -252,   296,  -252,   227,  1012,  -252,   119,   655,
    1012,  -252,  -252,    39,   265,   187,   266,   655,  1012,  1012,
    1012,   225,   826,   275,  -252,  -252,  -252,   189,   487,  -252,
    -252,  1012,   305,  -252,  -252,   872,  1012,   307,  -252,  -252,
    -252,  -252,  -252,  -252,  -252,  -252,  -252,  -252,  -252,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,   274,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  -252,   594,  -252,  -252,  -252,  -252,  -252,  -252,
    -252,   277,  -252,  -252,   297,   298,   299,  -252,  -252,   209,
    -252,  1351,  1110,   887,  -252,  -252,   146,   198,  -252,  -252,
     809,  -252,  -252,  -252,  -252,  1504,  -252,  -252,  1012,   306,
     208,  -252,  -252,  -252,  -252,  -252,  -252,  -252,  -252,  -252,
    1012,  1221,  -252,   194,   655,  -252,    86,    93,   112,   302,
     826,  -252,  -252,   272,  -252,  -252,  -252,  -252,   121,    69,
    -252,  -252,  -252,  -252,  -252,   196,   196,   201,   201,   237,
     237,   237,   237,  1012,   237,   237,    -2,    -2,   113,   231,
     -24,   226,   273,   228,  -252,   338,   343,   344,   345,   314,
    -252,  -252,  -252,  -252,   315,   316,  -252,   312,  1388,   935,
     146,  -252,   236,  -252,  -252,  1012,  -252,   169,  -252,  -252,
    -252,   655,   655,   655,  1012,   949,  -252,  1012,  -252,  -252,
     150,   359,   360,  1012,   325,   326,   327,   328,   365,  -252,
    -252,  -252,  -252,   352,  -252,   369,  -252,   716,  -252,  -252,
     335,  -252,  -252,   174,   655,   181,  -252,  1012,  -252,  -252,
    -252,  -252,  -252,  -252,  -252,   375,  -252,  -252,  -252,  -252,
     655,   383,  -252,   655,   237,   209,  -252,  -252,  -252,  -252
  };

  const unsigned char
  Parser::yydefact_[] =
  {
       0,   161,   132,     0,     0,   170,   114,   115,   116,   117,
     118,   122,   123,   124,   125,   128,   129,   126,   127,   157,
     158,   120,   136,   137,     0,   121,   119,   239,     0,   160,
     236,   106,   108,   104,     0,     0,   238,   130,     0,   131,
       0,     0,     0,   162,   174,   172,   171,     0,   152,     0,
      44,   117,   218,     0,     0,   243,     0,    44,   107,   109,
     105,   102,   112,   110,     0,   159,   135,     0,     1,   237,
     163,   175,   173,   183,     0,     0,   155,     0,   153,     2,
       3,     4,     5,     6,     7,    44,    44,   222,   214,    44,
      25,    30,    29,    28,    27,    26,    44,     0,     0,     0,
       0,    44,     0,     0,     0,     0,    44,    44,    45,     0,
       9,    19,    48,    50,    54,    57,    60,    69,    65,    72,
      75,    77,    80,    82,    84,    86,    99,    44,   220,   204,
     205,   206,   207,   208,   209,    44,    44,     0,   219,   242,
     112,   168,   178,     0,   176,   182,     0,     2,   165,    48,
     101,     0,    44,     0,   241,   103,     0,     0,   142,   144,
       0,     0,   138,     0,   169,     0,    44,   150,     0,    44,
      44,    20,    21,     0,     0,   185,     0,    44,    44,    44,
      44,     0,    44,     0,   232,   233,   234,     0,    44,    23,
     223,    44,     0,    15,    16,    44,    44,     0,    92,    89,
      90,    91,    93,    94,    95,    96,    97,    98,    88,    44,
      44,    44,    44,    44,    44,    44,    44,    44,    44,    44,
      44,     0,    44,    44,    44,    44,    44,    44,    44,    44,
      44,    44,   216,    44,   215,   221,    22,    33,    34,    35,
      36,     0,    38,    39,     0,     0,     0,    43,    32,    46,
     166,     0,     0,    44,   180,   181,   188,   187,   167,   164,
      44,   199,   113,   240,   111,     0,   141,   143,    44,   147,
       0,   145,   134,   139,   184,   151,   156,   154,   210,     8,
      44,     0,   186,   187,    44,   212,     0,     0,     0,     0,
      44,   231,   235,     0,   100,    14,    11,    17,     0,     0,
      13,    87,    51,    52,    53,    56,    55,    58,    59,    63,
      64,    61,    62,    44,    68,    67,    70,    71,    73,    76,
      78,    81,    83,     0,   217,     0,     0,     0,     0,     0,
      31,   177,   179,   195,     0,     0,   191,     0,     0,    44,
     189,   202,     0,   133,   148,    44,   140,     0,    49,   211,
     213,    44,    44,    44,    44,    44,    24,    44,    12,    10,
       0,     0,     0,    44,     0,     0,     0,     0,     0,   196,
     190,   192,   197,     0,   193,     0,   200,    44,   149,   146,
     224,   226,   227,     0,    44,     0,    18,    44,    74,    79,
      85,    37,    40,    41,    42,     0,   198,   194,   201,   203,
      44,     0,   229,    44,    66,    46,   225,   228,   230,    47
  };

  const short
  Parser::yypgoto_[] =
  {
    -252,   -87,  -252,  -252,   -49,  -126,    59,    61,  -154,    54,
    -252,   202,   200,   203,   206,   210,  -252,   -54,  -147,   -70,
    -251,  -252,  -252,    55,    -3,   -28,   280,   186,   399,  -252,
      17,   -50,  -252,   -43,    35,  -252,   253,  -115,  -240,     1,
      13,   -61,  -252,   -97,  -252,    -1,  -171,  -252,  -252,  -252,
     322,  -252,  -252,  -252,  -252,  -252,    37,   394,  -252,  -252,
     294,  -145,  -252,   105,  -252,   378,   286,  -252,  -252
  };

  const short
  Parser::yydefgoto_[] =
  {
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   151,
     262,   298,   342,    52,    28,    29,    63,   142,    30,    64,
      53,   334,   144,    31,    32,    33,   174,   335,   256,    54,
      35,   160,    46,   128,   129,   130,   131,   132,   133,   134,
     135,    36,   136,   209,   249,   137,   330,    74,    37,    38,
     161,   162,   270,   271,    39,    77,    78,   350,    40
  };

  const short
  Parser::yytable_[] =
  {
      42,    34,   173,   150,   181,   261,   143,    65,   149,   341,
     236,   290,   362,   217,   218,    48,   273,   340,    45,   187,
      56,   163,    57,    66,   158,   258,   176,    55,   175,   227,
     255,    62,    58,    59,    60,    43,   171,   172,   235,   230,
      44,    34,   150,   340,   294,    49,   158,   149,   297,   219,
     220,   140,   139,    67,     5,    27,    47,   145,   189,    72,
     282,   154,   301,   309,   310,   311,   312,   127,   314,   315,
      70,   163,   278,   231,   191,    19,    20,   164,   279,   153,
     285,    71,    73,   173,   302,   303,   304,   149,   221,   222,
     223,   286,   287,   288,     1,    27,   276,   266,   267,   167,
     168,   173,   159,     1,   191,   192,   193,   194,   138,   299,
     359,    75,   150,   261,   158,   158,   158,   149,   158,   355,
     273,   191,    76,    61,   159,   351,   399,   175,   191,     3,
     224,   225,   352,   195,     4,   196,   235,   197,   252,     5,
     253,   157,   254,     4,   323,   158,   166,   191,     5,   361,
      41,   353,   263,   140,   348,     1,   357,   269,   257,    41,
     358,   149,   149,   149,   149,   149,   149,   149,   149,   149,
     149,   149,     1,   149,   149,   149,   149,   149,   149,   149,
     149,   149,   138,   337,   338,   191,   339,   349,   283,   387,
       3,   169,   159,   159,   159,     4,   159,   177,   344,   150,
       5,     1,     1,   155,   149,   268,   156,     3,   138,   191,
     386,    41,     4,   401,   150,   190,   191,     5,   191,   149,
     403,   292,   158,   159,   191,   281,   360,   253,    41,    65,
     261,   149,   281,   404,   253,     5,   252,     3,   253,   184,
     346,     4,     4,   347,   210,   211,   212,   213,   214,    42,
     215,   216,   145,   145,   380,   381,   382,    41,    41,   224,
     225,   275,   168,   191,   363,   257,   183,   383,   385,   375,
     376,   377,   305,   306,   226,   378,   307,   308,   316,   317,
     228,   178,   145,   179,   180,   150,   182,   402,   373,   185,
     149,   150,   227,   229,   283,   152,   149,   251,   250,   274,
     159,   259,   284,   406,   280,   289,   408,   291,   295,   390,
     300,   356,   313,   329,   149,   325,    79,    80,    81,    82,
      83,    84,     2,   198,    85,    86,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   326,   327,   328,   149,   145,
     354,   208,   345,   364,   269,    87,    50,    88,   365,   366,
     367,    89,   368,   371,   369,   370,    90,    91,    92,    93,
      94,    95,   388,   389,   391,   392,   393,   394,   395,     6,
       7,     8,    51,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    96,    97,
      98,   396,    99,   100,   101,   102,   103,   104,   105,   106,
     107,    25,    26,    79,    80,    81,    82,    83,    84,     2,
     397,    85,    86,   400,   405,   407,   108,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   319,   318,   247,
     248,   320,    87,    50,   232,   321,   264,   332,    89,    69,
     322,   293,   409,    90,    91,    92,    93,    94,    95,   233,
     146,   265,   379,   165,   277,     0,     6,     7,     8,    51,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    96,    97,    98,     0,    99,
     100,   101,   102,   103,   104,   105,   106,   107,    25,    26,
     147,    80,    81,    82,    83,    84,     2,     0,    85,    86,
       0,     0,     0,   108,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    89,     0,     0,     0,     0,
      90,    91,    92,    93,    94,    95,    79,    80,    81,    82,
      83,    84,     0,     0,    85,    86,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,     0,     0,     0,    87,    50,   234,     0,     0,
       0,    89,     0,     0,   107,    25,    90,    91,    92,    93,
      94,    95,     0,     0,     0,     0,     0,     0,     0,     0,
     108,     0,     0,     0,     0,     0,     0,    79,    80,    81,
      82,    83,    84,     0,     0,    85,    86,     0,    96,    97,
      98,     0,    99,   100,   101,   102,   103,   104,   105,   106,
     107,     0,     0,     0,     0,     0,    87,    50,   324,     0,
       0,     0,    89,     0,     0,     0,   108,    90,    91,    92,
      93,    94,    95,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    79,    80,
      81,    82,    83,    84,     0,     0,    85,    86,     0,    96,
      97,    98,     0,    99,   100,   101,   102,   103,   104,   105,
     106,   107,     0,     0,     0,     0,     0,    87,    50,     0,
       0,     0,     0,    89,     0,     0,     0,   108,    90,    91,
      92,    93,    94,    95,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   147,
      80,    81,    82,    83,    84,     0,     0,    85,    86,     0,
      96,    97,    98,     0,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   147,    80,    81,    82,    83,    84,   260,
     398,    85,    86,     0,    89,     0,     0,     0,   108,    90,
      91,    92,    93,    94,    95,   147,    80,    81,    82,    83,
      84,     0,     0,    85,    86,     0,     0,     0,    89,     0,
       0,   148,     0,    90,    91,    92,    93,    94,    95,     0,
       0,     0,     0,     0,   186,     0,     0,     0,     0,     0,
      89,     0,     0,   107,     0,    90,    91,    92,    93,    94,
      95,     0,   147,    80,    81,    82,    83,    84,     0,   108,
      85,    86,     0,     0,     0,     0,     0,   107,     0,   147,
      80,    81,    82,    83,    84,     0,     0,    85,    86,     0,
       0,     0,   260,   108,     0,     0,     0,    89,     0,   107,
       0,     0,    90,    91,    92,    93,    94,    95,    87,     0,
       0,     0,     0,     0,    89,   108,     0,     0,     0,    90,
      91,    92,    93,    94,    95,   147,    80,    81,    82,    83,
      84,     0,     0,    85,    86,     0,     0,     0,     0,     0,
     147,    80,    81,    82,    83,    84,   107,     0,    85,    86,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      89,   296,   108,   107,     0,    90,    91,    92,    93,    94,
      95,     0,     0,     0,     0,    89,     0,     0,   336,   108,
      90,    91,    92,    93,    94,    95,     0,     0,   147,    80,
      81,    82,    83,    84,     0,     0,    85,    86,     0,     0,
       0,     0,   147,    80,    81,    82,    83,    84,     0,   107,
      85,    86,     0,   147,    80,    81,    82,    83,    84,     0,
       0,    85,    86,    89,   107,   108,   374,     0,    90,    91,
      92,    93,    94,    95,     0,     0,     0,    89,   384,     0,
     108,     0,    90,    91,    92,    93,    94,    95,   170,     0,
       0,     0,     0,    90,    91,    92,    93,    94,    95,     0,
       0,     0,     0,     0,     0,   147,    80,    81,    82,    83,
      84,     0,   107,    85,    86,     0,   147,    80,    81,    82,
      83,    84,     0,     2,    85,    86,   107,     0,   108,     0,
       0,     0,     0,     0,     0,     0,     0,   107,     0,     0,
      89,     0,   108,     0,     0,    90,    91,    92,    93,    94,
      95,   188,     0,   108,     0,     0,    90,    91,    92,    93,
      94,    95,     0,    68,     0,     0,     1,     0,     0,     0,
       0,     0,     2,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,   107,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     107,     3,    25,     1,     0,   108,     4,     0,     0,     2,
       0,     5,     0,     0,     0,     0,   108,     0,     0,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,   252,   333,
     253,     1,     0,     4,     0,     0,     0,     2,     5,     0,
       0,    25,    26,     0,     0,     0,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,     0,     3,    73,     0,     0,
       0,     4,     0,     2,     0,     0,     5,     0,    25,    26,
       0,     0,     0,     0,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,   141,     0,     0,     0,     0,     0,     0,
       2,     0,     0,     0,     0,     0,    25,    26,     0,     0,
       6,     7,     8,    51,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,   281,
     333,   253,     0,     0,     0,     0,     0,     0,     0,     5,
       0,     0,    25,    26,     2,     0,     0,     6,     7,     8,
      51,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,     0,     0,    50,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,    25,
      26,     0,     0,     0,     0,     0,     2,     0,     0,     0,
       0,     6,     7,     8,    51,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    25,    26,     0,     0,     0,     0,     0,
       2,     0,     0,     6,     7,     8,    51,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,   331,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    25,    26,     2,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     8,
      51,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,     0,   372,     0,     0,
       0,     2,     0,     0,     0,     0,     0,     0,     0,    25,
      26,     0,     0,     0,     6,     7,     8,    51,    10,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     2,     0,     0,     0,    25,    26,     6,     7,
       8,    51,    10,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,   272,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      25,    26,     0,     2,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,   343,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    25,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    25
  };

  const short
  Parser::yycheck_[] =
  {
       3,     0,    89,    57,   101,   152,    56,    35,    57,   260,
     136,   182,    36,    15,    16,     3,   161,   257,     5,   106,
      38,    35,    40,     3,    67,    39,    96,    28,    89,    53,
     145,    34,    31,    32,    33,     3,    85,    86,   135,    21,
       5,    40,    96,   283,   191,    33,    89,    96,   195,    51,
      52,    54,    53,    33,    48,     0,    40,    56,   107,    46,
     175,    62,   209,   217,   218,   219,   220,    50,   222,   223,
      39,    35,   169,    55,    35,    69,    70,    41,    39,    62,
     177,    46,     3,   170,   210,   211,   212,   136,    90,    91,
      92,   178,   179,   180,     3,    40,   166,   158,   159,    34,
      35,   188,    67,     3,    35,    10,    11,    12,    53,   196,
      41,    33,   166,   260,   157,   158,   159,   166,   161,   290,
     265,    35,     3,    32,    89,    39,   377,   188,    35,    38,
      17,    18,    39,    38,    43,    40,   233,    42,    38,    48,
      40,    33,   145,    43,   231,   188,    37,    35,    48,    36,
      59,    39,   153,   156,   280,     3,    35,   160,   145,    59,
      39,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,     3,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   127,   253,    38,    35,    40,   284,   175,    39,
      38,    36,   157,   158,   159,    43,   161,    36,   268,   253,
      48,     3,     3,    32,   253,    36,    35,    38,   153,    35,
     357,    59,    43,    39,   268,    32,    35,    48,    35,   268,
      39,    32,   265,   188,    35,    38,   313,    40,    59,   257,
     377,   280,    38,   387,    40,    48,    38,    38,    40,    32,
      32,    43,    43,    35,    48,    49,    50,    46,    47,   252,
      13,    14,   251,   252,   351,   352,   353,    59,    59,    17,
      18,    34,    35,    35,    36,   252,     3,   354,   355,   339,
      34,    35,   213,   214,    43,   345,   215,   216,   224,   225,
      54,    38,   281,    38,    38,   339,    38,   384,   338,    32,
     339,   345,    53,    20,   281,    37,   345,    35,    39,     3,
     265,    41,    36,   400,    39,    80,   403,    32,     3,   363,
       3,    39,    38,   104,   363,    38,     3,     4,     5,     6,
       7,     8,     9,    19,    11,    12,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    38,    38,    38,   387,   338,
      38,    37,    36,     5,   347,    32,    33,    34,     5,     5,
       5,    38,    38,    41,    39,    39,    43,    44,    45,    46,
      47,    48,     3,     3,    39,    39,    39,    39,     3,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    39,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,     3,     4,     5,     6,     7,     8,     9,
      41,    11,    12,    78,    39,    32,   103,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   227,   226,   105,
     106,   228,    32,    33,    34,   229,   156,   251,    38,    40,
     230,   188,   405,    43,    44,    45,    46,    47,    48,   127,
      56,   157,   347,    75,   168,    -1,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
       3,     4,     5,     6,     7,     8,     9,    -1,    11,    12,
      -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    -1,    -1,    -1,
      43,    44,    45,    46,    47,    48,     3,     4,     5,     6,
       7,     8,    -1,    -1,    11,    12,    -1,    -1,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    -1,    -1,    -1,    32,    33,    34,    -1,    -1,
      -1,    38,    -1,    -1,    87,    88,    43,    44,    45,    46,
      47,    48,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
       6,     7,     8,    -1,    -1,    11,    12,    -1,    75,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    -1,    -1,    32,    33,    34,    -1,
      -1,    -1,    38,    -1,    -1,    -1,   103,    43,    44,    45,
      46,    47,    48,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,     6,     7,     8,    -1,    -1,    11,    12,    -1,    75,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    -1,    -1,    32,    33,    -1,
      -1,    -1,    -1,    38,    -1,    -1,    -1,   103,    43,    44,
      45,    46,    47,    48,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,     6,     7,     8,    -1,    -1,    11,    12,    -1,
      75,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    86,    87,     3,     4,     5,     6,     7,     8,    33,
      34,    11,    12,    -1,    38,    -1,    -1,    -1,   103,    43,
      44,    45,    46,    47,    48,     3,     4,     5,     6,     7,
       8,    -1,    -1,    11,    12,    -1,    -1,    -1,    38,    -1,
      -1,    41,    -1,    43,    44,    45,    46,    47,    48,    -1,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      38,    -1,    -1,    87,    -1,    43,    44,    45,    46,    47,
      48,    -1,     3,     4,     5,     6,     7,     8,    -1,   103,
      11,    12,    -1,    -1,    -1,    -1,    -1,    87,    -1,     3,
       4,     5,     6,     7,     8,    -1,    -1,    11,    12,    -1,
      -1,    -1,    33,   103,    -1,    -1,    -1,    38,    -1,    87,
      -1,    -1,    43,    44,    45,    46,    47,    48,    32,    -1,
      -1,    -1,    -1,    -1,    38,   103,    -1,    -1,    -1,    43,
      44,    45,    46,    47,    48,     3,     4,     5,     6,     7,
       8,    -1,    -1,    11,    12,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,     6,     7,     8,    87,    -1,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      38,    39,   103,    87,    -1,    43,    44,    45,    46,    47,
      48,    -1,    -1,    -1,    -1,    38,    -1,    -1,    41,   103,
      43,    44,    45,    46,    47,    48,    -1,    -1,     3,     4,
       5,     6,     7,     8,    -1,    -1,    11,    12,    -1,    -1,
      -1,    -1,     3,     4,     5,     6,     7,     8,    -1,    87,
      11,    12,    -1,     3,     4,     5,     6,     7,     8,    -1,
      -1,    11,    12,    38,    87,   103,    41,    -1,    43,    44,
      45,    46,    47,    48,    -1,    -1,    -1,    38,    39,    -1,
     103,    -1,    43,    44,    45,    46,    47,    48,    38,    -1,
      -1,    -1,    -1,    43,    44,    45,    46,    47,    48,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
       8,    -1,    87,    11,    12,    -1,     3,     4,     5,     6,
       7,     8,    -1,     9,    11,    12,    87,    -1,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,    -1,    -1,
      38,    -1,   103,    -1,    -1,    43,    44,    45,    46,    47,
      48,    38,    -1,   103,    -1,    -1,    43,    44,    45,    46,
      47,    48,    -1,     0,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,     9,    -1,    -1,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    87,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    38,    88,     3,    -1,   103,    43,    -1,    -1,     9,
      -1,    48,    -1,    -1,    -1,    -1,   103,    -1,    -1,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    38,    39,
      40,     3,    -1,    43,    -1,    -1,    -1,     9,    48,    -1,
      -1,    88,    89,    -1,    -1,    -1,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    -1,    38,     3,    -1,    -1,
      -1,    43,    -1,     9,    -1,    -1,    48,    -1,    88,    89,
      -1,    -1,    -1,    -1,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    39,    -1,    -1,    -1,    -1,    -1,    -1,
       9,    -1,    -1,    -1,    -1,    -1,    88,    89,    -1,    -1,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    38,
      39,    40,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      -1,    -1,    88,    89,     9,    -1,    -1,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    -1,    -1,    33,    -1,
      -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,
      -1,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      33,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
       9,    -1,    -1,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    88,    89,     9,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    -1,    39,    -1,    -1,
      -1,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,
      89,    -1,    -1,    -1,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     9,    -1,    -1,    -1,    88,    89,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      88,    89,    -1,     9,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    34,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    88
  };

  const unsigned char
  Parser::yystos_[] =
  {
       0,     3,     9,    38,    43,    48,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    88,    89,   130,   131,   132,
     135,   140,   141,   142,   146,   147,   158,   165,   166,   171,
     175,    59,   131,     3,   141,   147,   149,    40,     3,    33,
      33,    59,   130,   137,   146,   152,    38,    40,   146,   146,
     146,    32,   131,   133,   136,   132,     3,    33,     0,   135,
      39,   141,   147,     3,   164,    33,     3,   172,   173,     3,
       4,     5,     6,     7,     8,    11,    12,    32,    34,    38,
      43,    44,    45,    46,    47,    48,    75,    76,    77,    79,
      80,    81,    82,    83,    84,    85,    86,    87,   103,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   137,   150,   151,
     152,   153,   154,   155,   156,   157,   159,   162,   130,   152,
     131,    39,   134,   138,   139,   146,   164,     3,    41,   111,
     124,   126,    37,   137,   152,    32,    35,    33,   140,   141,
     148,   167,   168,    35,    41,   172,    37,    34,    35,    36,
      38,   111,   111,   108,   143,   148,   126,    36,    38,    38,
      38,   150,    38,     3,    32,    32,    32,   108,    38,   111,
      32,    35,    10,    11,    12,    38,    40,    42,    19,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    37,   160,
      48,    49,    50,    46,    47,    13,    14,    15,    16,    51,
      52,    90,    91,    92,    17,    18,    43,    53,    54,    20,
      21,    55,    34,   157,    34,   150,   112,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   105,   106,   161,
      39,    35,    38,    40,   131,   144,   145,   147,    39,    41,
      33,   125,   127,   152,   133,   167,   148,   148,    36,   131,
     169,   170,    34,   168,     3,    34,   126,   173,   150,    39,
      39,    38,   144,   147,    36,   150,   108,   108,   108,    80,
     153,    32,    32,   143,   125,     3,    39,   125,   128,   108,
       3,   125,   112,   112,   112,   113,   113,   114,   114,   115,
     115,   115,   115,    38,   115,   115,   116,   116,   118,   119,
     120,   121,   122,   108,    34,    38,    38,    38,    38,   104,
     163,    31,   134,    39,   138,   144,    41,   126,    38,    40,
     145,   127,   129,    34,   126,    36,    32,    35,   112,   150,
     174,    39,    39,    39,    38,   153,    39,    35,    39,    41,
     108,    36,    36,    36,     5,     5,     5,     5,    38,    39,
      39,    41,    39,   138,    41,   126,    34,    35,   126,   170,
     150,   150,   150,   108,    39,   108,   125,    39,     3,     3,
     124,    39,    39,    39,    39,     3,    39,    41,    34,   127,
      78,    39,   150,    39,   115,    39,   150,    32,   150,   163
  };

  const unsigned char
  Parser::yyr1_[] =
  {
       0,   107,   109,   109,   109,   109,   109,   109,   109,   110,
     110,   110,   110,   110,   110,   110,   110,   128,   128,   111,
     111,   111,   111,   111,   111,   159,   159,   159,   159,   159,
     159,   159,   161,   161,   161,   161,   161,   161,   161,   161,
     161,   161,   161,   161,   162,   162,   163,   163,   112,   112,
     113,   113,   113,   113,   114,   114,   114,   115,   115,   115,
     116,   116,   116,   116,   116,   116,   117,   117,   117,   118,
     118,   118,   119,   119,   119,   120,   120,   121,   121,   121,
     122,   122,   123,   123,   124,   124,   125,   125,   160,   160,
     160,   160,   160,   160,   160,   160,   160,   160,   160,   108,
     108,   126,   130,   130,   146,   146,   146,   146,   146,   146,
     136,   136,   133,   133,   142,   142,   142,   142,   142,   142,
     140,   140,   140,   140,   140,   140,   140,   140,   140,   140,
     140,   140,   140,   165,   165,   165,   166,   166,   167,   167,
     168,   148,   148,   148,   148,   169,   169,   170,   170,   170,
     171,   171,   171,   172,   172,   173,   173,   141,   141,   131,
     131,   132,   132,   132,   132,   132,   132,   132,   132,   132,
     147,   147,   147,   147,   149,   149,   138,   138,   139,   139,
     134,   134,   134,   164,   164,   143,   143,   144,   144,   144,
     145,   145,   145,   145,   145,   145,   145,   145,   145,   127,
     127,   127,   129,   129,   150,   150,   150,   150,   150,   150,
     151,   151,   174,   151,   152,   152,   152,   152,   137,   137,
     157,   157,   153,   153,   154,   154,   154,   155,   155,   155,
     155,   156,   156,   156,   156,   156,   175,   175,   135,   135,
     158,   158,   158,   158
  };

  const signed char
  Parser::yyr2_[] =
  {
       0,     2,     1,     1,     1,     1,     1,     1,     3,     1,
       4,     3,     4,     3,     3,     2,     2,     1,     3,     1,
       2,     2,     2,     2,     4,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     4,     1,     1,
       4,     4,     4,     1,     0,     1,     0,     5,     1,     4,
       1,     3,     3,     3,     1,     3,     3,     1,     3,     3,
       1,     3,     3,     3,     3,     1,     6,     3,     3,     1,
       3,     3,     1,     3,     5,     1,     3,     1,     3,     5,
       1,     3,     1,     3,     1,     5,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     2,     3,     1,     2,     1,     2,     1,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     4,     2,     1,     1,     1,     2,
       3,     2,     1,     2,     1,     1,     3,     1,     2,     3,
       4,     5,     2,     1,     3,     1,     3,     1,     1,     2,
       1,     1,     2,     3,     4,     3,     4,     4,     3,     4,
       1,     2,     2,     3,     1,     2,     1,     3,     1,     3,
       2,     2,     1,     1,     3,     1,     2,     1,     1,     2,
       3,     2,     3,     3,     4,     2,     3,     3,     4,     1,
       3,     4,     1,     3,     1,     1,     1,     1,     1,     1,
       3,     4,     0,     4,     2,     3,     3,     4,     1,     2,
       1,     2,     1,     2,     5,     7,     5,     5,     7,     6,
       7,     3,     2,     2,     2,     3,     1,     2,     1,     1,
       4,     3,     3,     2
  };



  // YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
  // First, the terminals, then, starting at \a yyntokens_, nonterminals.
  const char*
  const Parser::yytname_[] =
  {
  "$end", "error", "$undefined", "IDENTIFIER", "INT_LITERAL",
  "FLOAT_LITERAL", "BOOL_LITERAL", "CHAR_LITERAL", "STRING_LITERAL",
  "TYPE_NAME", "PTR_OP", "INC_OP", "DEC_OP", "LEFT_OP", "RIGHT_OP",
  "LE_OP", "GE_OP", "EQ_OP", "NE_OP", "ADD_ASSIGN", "AND_OP", "OR_OP",
  "MUL_ASSIGN", "DIV_ASSIGN", "MOD_ASSIGN", "SUB_ASSIGN", "LEFT_ASSIGN",
  "RIGHT_ASSIGN", "AND_ASSIGN", "XOR_ASSIGN", "OR_ASSIGN", "ELLIPSIS",
  "';'", "'{'", "'}'", "','", "':'", "'='", "'('", "')'", "'['", "']'",
  "'.'", "'&'", "'!'", "'~'", "'-'", "'+'", "'*'", "'/'", "'%'", "'<'",
  "'>'", "'^'", "'|'", "'?'", "TYPEDEF", "EXTERN", "STATIC", "AUTO",
  "REGISTER", "CHAR", "SHORT", "INT", "LONG", "SIGNED", "UNSIGNED",
  "FLOAT", "DOUBLE", "CONST", "VOLATILE", "VOID", "STRUCT", "UNION",
  "ENUM", "CASE", "DEFAULT", "IF", "ELSE", "SWITCH", "WHILE", "DO", "FOR",
  "GOTO", "CONTINUE", "BREAK", "RETURN", "SIZEOF", "BOOL", "QUANTUM",
  "PSWAP", "ISWAP", "SWAP", "X_GATE", "Y_GATE", "Z_GATE", "HADAMARD",
  "PHASE", "S_GATE", "T_GATE", "RX", "RY", "RZ", "INVERSE", "CONTROL",
  "MEASURE", "IDENTITY", "$accept", "expression", "primary_expression",
  "postfix_expression", "unary_expression", "cast_expression",
  "multiplicative_expression", "additive_expression", "shift_expression",
  "relational_expression", "quantum_binary_expression",
  "equality_expression", "and_expression", "exclusive_or_expression",
  "inclusive_or_expression", "logical_and_expression",
  "logical_or_expression", "conditional_expression",
  "assignment_expression", "constant_expression", "initializer",
  "argument_expression_list", "initializer_list", "declaration",
  "declarator", "direct_declarator", "init_declarator",
  "parameter_declaration", "external_declaration", "init_declarator_list",
  "declaration_list", "parameter_type_list", "parameter_list",
  "type_specifier", "type_qualifier", "storage_class_specifier",
  "type_name", "abstract_declarator", "direct_abstract_declarator",
  "declaration_specifiers", "pointer", "specifier_qualifier_list",
  "type_qualifier_list", "statement", "labeled_statement",
  "compound_statement", "expression_statement", "selection_statement",
  "iteration_statement", "jump_statement", "statement_list",
  "function_definition", "unary_operator", "assignment_operator",
  "quantum_unary_op", "quantum_op_prefix", "quantum_op_postfix",
  "identifier_list", "struct_or_union_specifier", "struct_or_union",
  "struct_declaration_list", "struct_declaration",
  "struct_declarator_list", "struct_declarator", "enum_specifier",
  "enumerator_list", "enumerator", "$@1", "translation_unit", YY_NULLPTR
  };

#if YYDEBUG
  const short
  Parser::yyrline_[] =
  {
       0,   169,   169,   172,   178,   183,   190,   194,   199,   203,
     204,   207,   214,   220,   221,   222,   229,   239,   244,   252,
     253,   260,   267,   272,   275,   279,   282,   285,   288,   291,
     294,   297,   317,   323,   329,   335,   341,   347,   353,   359,
     365,   371,   377,   383,   392,   393,   397,   401,   418,   419,
     425,   426,   429,   432,   438,   439,   442,   448,   449,   453,
     461,   462,   465,   468,   472,   476,   480,   481,   482,   486,
     487,   491,   498,   499,   503,   507,   508,   517,   518,   523,
     527,   528,   535,   536,   543,   544,   552,   553,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   574,
     575,   584,   588,   596,   606,   610,   614,   618,   622,   626,
     633,   638,   646,   652,   662,   663,   664,   665,   666,   667,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   685,   689,   697,   698,   699,   703,   704,   708,   709,
     713,   717,   721,   725,   729,   736,   737,   741,   742,   743,
     747,   748,   749,   753,   754,   758,   759,   763,   764,   768,
     773,   782,   788,   793,   796,   801,   806,   812,   816,   824,
     832,   840,   848,   856,   867,   871,   879,   883,   889,   893,
     900,   905,   910,   918,   923,   931,   937,   946,   954,   961,
     970,   972,   973,   975,   977,   979,   981,   983,   985,   990,
     991,   997,  1006,  1011,  1019,  1020,  1021,  1022,  1023,  1024,
    1028,  1033,  1037,  1037,  1044,  1045,  1048,  1051,  1057,  1061,
    1068,  1073,  1081,  1082,  1088,  1092,  1096,  1102,  1105,  1108,
    1112,  1119,  1123,  1124,  1125,  1128,  1134,  1139,  1146,  1147,
    1151,  1156,  1162,  1168
  };

  // Print the state stack on the debug stream.
  void
  Parser::yystack_print_ ()
  {
    *yycdebug_ << "Stack now";
    for (stack_type::const_iterator
           i = yystack_.begin (),
           i_end = yystack_.end ();
         i != i_end; ++i)
      *yycdebug_ << ' ' << int (i->state);
    *yycdebug_ << '\n';
  }

  // Report on the debug stream that the rule \a yyrule is going to be reduced.
  void
  Parser::yy_reduce_print_ (int yyrule)
  {
    int yylno = yyrline_[yyrule];
    int yynrhs = yyr2_[yyrule];
    // Print the symbols being reduced, and their result.
    *yycdebug_ << "Reducing stack by rule " << yyrule - 1
               << " (line " << yylno << "):\n";
    // The symbols being reduced.
    for (int yyi = 0; yyi < yynrhs; yyi++)
      YY_SYMBOL_PRINT ("   $" << yyi + 1 << " =",
                       yystack_[(yynrhs) - (yyi + 1)]);
  }
#endif // YYDEBUG

  Parser::token_number_type
  Parser::yytranslate_ (int t)
  {
    // YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to
    // TOKEN-NUM as returned by yylex.
    static
    const token_number_type
    translate_table[] =
    {
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    44,     2,     2,     2,    50,    43,     2,
      38,    39,    48,    47,    35,    46,    42,    49,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    36,    32,
      51,    37,    52,    55,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    40,     2,    41,    53,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    33,    54,    34,    45,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106
    };
    const int user_token_number_max_ = 337;

    if (t <= 0)
      return yyeof_;
    else if (t <= user_token_number_max_)
      return translate_table[t];
    else
      return yy_undef_token_;
  }

#line 7 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"
} // quant_c_compiler
#line 5682 "quant_c_parse.cpp"

#line 1181 "/home/tyler/code/C-C++/QuantC/code/quant_c.y"

#include <stdio.h>

extern char yytext[];
extern int column;

void Parser::error(const std::string& msg)
{
	std::cout << "Line " << Pos::linenum << ": " << msg << std::endl;
}
